Index: packages.ent
===================================================================
--- packages.ent	(revision 92ada8276a224f6170d5ae48de1989f7cfc196b0)
+++ packages.ent	(revision 54aaa8908ae76b46bd90554ddc929639ffb4d191)
@@ -49,5 +49,5 @@
 <!ENTITY lvm2-version                 "2.02.146">
 <!ENTITY mdadm-version                "3.4">
-<!ENTITY ntfs-3g-version              "2015.3.14">
+<!ENTITY ntfs-3g-version              "2016.2.22">
 <!ENTITY gptfdisk-version             "1.0.1">
 <!ENTITY parted-version               "3.2">
@@ -70,5 +70,5 @@
 
 <!-- Chapter 8 Virtualization -->
-<!ENTITY qemu-version                 "2.5.0">
+<!ENTITY qemu-version                 "2.5.1">
 
 <!-- Part III -->
@@ -87,15 +87,15 @@
 <!ENTITY dbus-glib-version            "0.106">
 <!ENTITY enchant-version              "1.6.0">
-<!ENTITY exempi-version               "2.2.2">
+<!ENTITY exempi-version               "2.3.0">
 <!ENTITY expat-version                "2.1.0">
 <!ENTITY gcab-version                 "0.6">
-<!ENTITY glib2-version                "2.46.2">
-<!ENTITY glibmm-version               "2.46.3">
+<!ENTITY glib2-version                "2.48.0">
+<!ENTITY glibmm-version               "2.48.1">
 <!ENTITY gmime-version                "2.6.20">
-<!ENTITY gobject-introspection-version "1.46.0">
+<!ENTITY gobject-introspection-version "1.48.0">
 <!ENTITY grantlee-version             "0.5.1">
 <!ENTITY gsl-version                  "2.1">
 
-<!ENTITY icu-major                    "56">
+<!ENTITY icu-major                    "57">
 <!ENTITY icu-minor                    "1">
 <!ENTITY icu-patch                    "0">
@@ -107,5 +107,5 @@
 <!ENTITY JS2-version                  "24.2.0">
 <!ENTITY json-c-version               "0.12">
-<!ENTITY json-glib-version            "1.0.4">
+<!ENTITY json-glib-version            "1.2.0">
 <!ENTITY keyutils-version             "1.5.9">
 <!ENTITY libarchive-version           "3.1.2">
@@ -126,5 +126,5 @@
 <!ENTITY libgsf-version               "1.14.36">
 <!ENTITY libgudev-version             "230">
-<!ENTITY libgusb-version              "0.2.8">
+<!ENTITY libgusb-version              "0.2.9">
 <!ENTITY libical-version              "2.0.0">
 <!ENTITY libidn-version               "1.32">
@@ -138,5 +138,5 @@
 <!ENTITY libqmi-version               "1.12.6">
 <!ENTITY libpaper-version             "1.1.24+nmu4">
-<!ENTITY libsigc-version              "2.6.2">
+<!ENTITY libsigc-version              "2.8.0">
 <!ENTITY libsigsegv-version           "2.10">
 <!ENTITY libstatgrab-version          "0.91">
@@ -165,5 +165,5 @@
 <!ENTITY wayland-version              "1.10.0">
 <!ENTITY wv-version                   "1.2.9">
-<!ENTITY xapian-version               "1.2.22">
+<!ENTITY xapian-version               "1.2.23">
 <!ENTITY yaml-version                 "0.1.6">
 
@@ -176,6 +176,6 @@
 <!ENTITY fribidi-version              "0.19.7">
 <!ENTITY gegl-version                 "0.2.0">
-<!ENTITY giflib-version               "5.1.2">
-<!ENTITY graphite2-version            "1.3.5">
+<!ENTITY giflib-version               "5.1.4">
+<!ENTITY graphite2-version            "1.3.8">
 <!ENTITY harfbuzz-version             "1.1.3">
 <!ENTITY ijs-version                  "0.35">
@@ -194,5 +194,5 @@
 <!ENTITY libtiff-version              "4.0.6">
 <!ENTITY libwebp-version              "0.5.0">
-<!ENTITY newt-version                 "0.52.18">
+<!ENTITY newt-version                 "0.52.19">
 <!ENTITY opencv-version               "3.1.0">
 <!ENTITY openjpeg-version             "1.5.2">
@@ -210,5 +210,5 @@
 <!ENTITY gperf-version                "3.0.4">
 <!ENTITY graphviz-version             "2.38.0">   <!-- Even minors only -->
-<!ENTITY gtk-doc-version              "1.24">
+<!ENTITY gtk-doc-version              "1.25">
 <!ENTITY hd2u-version                 "1.0.3">
 <!ENTITY highlight-version            "3.22">
@@ -259,5 +259,5 @@
 <!ENTITY sysstat-version              "11.2.0">
 <!ENTITY udisks-version               "1.0.5">    <!-- stable lt .90 micro version -->
-<!ENTITY udisks2-version              "2.1.6">    <!-- stable lt .90 micro version -->
+<!ENTITY udisks2-version              "2.1.7">    <!-- stable lt .90 micro version -->
 <!ENTITY upower-version               "0.99.3">
 <!ENTITY unrar-version                "5.3.11">
@@ -279,5 +279,5 @@
 <!ENTITY dejagnu-version              "1.5.3">
 <!ENTITY doxygen-version              "1.8.11">
-<!ENTITY elfutils-version             "0.165">
+<!ENTITY elfutils-version             "0.166">
 <!ENTITY expect-version               "5.45">
 <!ENTITY gcc-version                  "5.3.0">
@@ -315,5 +315,5 @@
 <!ENTITY junit-version                "4.11">
 <!ENTITY hamcrest-version             "1.3">
-<!ENTITY openjdk-version              "1.8.0.72">
+<!ENTITY openjdk-version              "1.8.0.77">
 
 <!ENTITY python2-majorver             "2.7">
@@ -322,6 +322,6 @@
 <!-- Perl module versions used in the Perl Modules instructions -->
 <!ENTITY autovivification-version     "0.16">
-<!ENTITY Archive-Zip-version          "1.56">
-<!ENTITY Business-ISBN-version        "2.09">
+<!ENTITY Archive-Zip-version          "1.57">
+<!ENTITY Business-ISBN-version        "2.010">
 <!ENTITY Business-ISMN-version        "1.13">
 <!ENTITY Business-ISSN-version        "1.001">
@@ -341,5 +341,5 @@
 <!ENTITY List-AllUtils-version        "0.09">
 <!ENTITY List-MoreUtils-version       "0.413">
-<!ENTITY Log-Log4perl-version         "1.46">
+<!ENTITY Log-Log4perl-version         "1.47">
 <!ENTITY LWP-version                  "6.15">
 <!ENTITY LWP-Protocol-https-version   "6.06">
@@ -353,5 +353,5 @@
 <!ENTITY Text-Roman-version           "3.5">
 <!ENTITY Unicode-Collate-version      "1.14">
-<!ENTITY Unicode-LineBreak-version    "2015.12">
+<!ENTITY Unicode-LineBreak-version    "2016.003">
 <!ENTITY Unicode-Normalize-version    "1.25">
 <!ENTITY URI-version                  "1.71">
@@ -370,5 +370,5 @@
 <!ENTITY pycairo-version              "1.10.0">
 <!ENTITY pygobject2-version           "2.28.6">
-<!ENTITY pygobject3-version           "3.18.2">
+<!ENTITY pygobject3-version           "3.20.0">
 <!ENTITY pygtk-version                "2.24.0">
 <!ENTITY pyxdg-version                "0.25">
@@ -398,12 +398,12 @@
 
 <!-- Chapter 16 -->
-<!ENTITY avahi-version                "0.6.31">
+<!ENTITY avahi-version                "0.6.32">
 <!ENTITY bind-minor-version           "9.10">
 <!ENTITY bind-version                 "&bind-minor-version;.3-P3">
 <!ENTITY mod_dnssd-version            "0.6">
 <!ENTITY NetworkManager-version       "1.0.10">
-<!ENTITY nmap-version                 "7.01">
+<!ENTITY nmap-version                 "7.12">
 <!ENTITY traceroute-version           "2.1.0">
-<!ENTITY whois-version                "5.2.11">
+<!ENTITY whois-version                "5.2.12">
 <!ENTITY wicd-version                 "1.7.4">
 <!ENTITY wireshark-version            "2.0.1">  <!-- even minors only -->
@@ -412,5 +412,5 @@
 
 <!-- Chapter 17 -->
-<!ENTITY curl-version                 "7.47.1">
+<!ENTITY curl-version                 "7.48.0">
 <!ENTITY geoclue-version              "0.12.0">
 <!ENTITY geoclue2-version             "2.2.0">
@@ -444,5 +444,5 @@
 <!-- Chapter 20 -->
 <!ENTITY apache-version               "2.4.18">
-<!ENTITY proftpd-version              "1.3.5a">
+<!ENTITY proftpd-version              "1.3.5b">
 <!ENTITY vsftpd-version               "3.0.3">
 
@@ -460,5 +460,5 @@
 <!ENTITY db-version                   "6.1.26">
 <!ENTITY lmdb-version                 "0.9.18">
-<!ENTITY mariadb-version              "10.1.12">
+<!ENTITY mariadb-version              "10.1.13">
 <!ENTITY postgresql-version           "9.5.1">
 <!ENTITY sqlite-version               "3.11.0">
@@ -498,5 +498,5 @@
 <!-- Chapter 25 -->
 <!ENTITY agg-version                  "2.5">
-<!ENTITY atk-version                  "2.18.0">
+<!ENTITY atk-version                  "2.20.0">
 <!ENTITY atkmm-version                "2.24.2">
 <!ENTITY at-spi2-core-version         "2.18.3">
@@ -506,12 +506,12 @@
 <!ENTITY cogl-version                 "1.22.0">
 <!ENTITY colord-gtk-version           "0.1.26">
-<!ENTITY clutter-version              "1.24.2">
-<!ENTITY clutter-gst-version          "3.0.16">
-<!ENTITY clutter-gtk-version          "1.6.6">
+<!ENTITY clutter-version              "1.26.0">
+<!ENTITY clutter-gst-version          "3.0.18">
+<!ENTITY clutter-gtk-version          "1.8.0">
 <!ENTITY fltk-version                 "1.3.3">
 <!ENTITY freeglut-version             "3.0.0">
-<!ENTITY gdk-pixbuf-version           "2.32.3">
+<!ENTITY gdk-pixbuf-version           "2.34.0">
 <!ENTITY glu-version                  "9.0.0">
-<!ENTITY goffice010-version           "0.10.27">
+<!ENTITY goffice010-version           "0.10.28">
 <!ENTITY gtk2-version                 "2.24.30">
 <!ENTITY gtk3-version                 "3.18.6">
@@ -525,5 +525,5 @@
 <!ENTITY libnotify-version            "0.7.6">
 <!ENTITY libxklavier-version          "5.4">
-<!ENTITY pango-version                "1.38.1">
+<!ENTITY pango-version                "1.40.0">
 <!ENTITY pangomm-version              "2.38.1">
 <!ENTITY qt4-version                  "4.8.7">
@@ -674,5 +674,5 @@
 
 <!-- Chapter 44 -->
-<!ENTITY seamonkey-version            "2.39">
+<!ENTITY seamonkey-version            "2.40">
 <!ENTITY firefox-version              "45.0">
 
@@ -689,10 +689,10 @@
 <!ENTITY inkscape-version             "0.91">
 <!ENTITY pan-version                  "0.133">
-<!ENTITY pidgin-version               "2.10.11">
+<!ENTITY pidgin-version               "2.10.12">
 <!ENTITY rox-filer-version            "2.11">
 <!ENTITY rxvt-unicode-version         "9.22">
 <!ENTITY thunderbird-version          "38.6.0">
 <!ENTITY tigervnc-version             "1.6.0">
-<!ENTITY transmission-version         "2.84">
+<!ENTITY transmission-version         "2.92">
 <!ENTITY xarchiver-version            "0.5.4">
 <!ENTITY xchat-version                "2.8.8">
@@ -704,8 +704,8 @@
 <!ENTITY alsa-download-http           "http://alsa.cybermirror.org">
 <!ENTITY alsa-download-ftp            "ftp://ftp.alsa-project.org/pub">
-<!ENTITY alsa-version                 "1.1.0">
-<!ENTITY alsa-lib-version             "1.1.0">
-<!ENTITY alsa-plugins-version         "1.1.0">
-<!ENTITY alsa-utils-version           "1.1.0">
+<!ENTITY alsa-version                 "1.1.1">
+<!ENTITY alsa-lib-version             "1.1.1">
+<!ENTITY alsa-plugins-version         "1.1.1">
+<!ENTITY alsa-utils-version           "1.1.1">
 <!ENTITY alsa-tools-version           "1.1.0">
 <!ENTITY alsa-firmware-version        "1.0.29">
@@ -776,11 +776,11 @@
 
 <!-- Chapter 47 -->
-<!ENTITY mpg123-version               "1.23.0">
+<!ENTITY mpg123-version               "1.23.3">
 <!ENTITY vorbistools-version          "1.4.0">
 <!ENTITY lame-version                 "3.99.5">
 <!ENTITY CDParanoia-version           "III-10.2">
 <!ENTITY freetts-version              "1.2.2">
-<!ENTITY audacious-version            "3.7.1">
-<!ENTITY audacious-plugins-version    "3.7.1">
+<!ENTITY audacious-version            "3.7.2">
+<!ENTITY audacious-plugins-version    "3.7.2">
 <!ENTITY amarok-version               "2.8.0">
 <!ENTITY pnmixer-version              "0.5.1">
@@ -805,5 +805,5 @@
 <!-- Chapter 50 -->
 <!ENTITY cups-version                 "2.1.3">
-<!ENTITY cups-filters-version         "1.8.2">
+<!ENTITY cups-filters-version         "1.8.3">
 <!ENTITY gs-version                   "9.18">
 <!ENTITY gutenprint-version           "5.2.11">