Index: basicnet/mailnews/fetchmail.xml
===================================================================
--- basicnet/mailnews/fetchmail.xml	(revision 28ce64378e45c4d76b48d543f63c1205a62caf03)
+++ basicnet/mailnews/fetchmail.xml	(revision 55c657e0af190a1a31ec7531a985c9919e07ed99)
@@ -7,4 +7,5 @@
   <!ENTITY fetchmail-download-http "http://www.catb.org/~esr/fetchmail/fetchmail-&fetchmail-version;.tar.gz">
   <!ENTITY fetchmail-download-ftp  "ftp://gnome.dti.ad.jp/.1/unix/net/mail/fetchmail/fetchmail-&fetchmail-version;.tar.gz">
+  <!ENTITY fetchmail-md5sum        "9956b30139edaa4f5f77c4d0dbd80225">
   <!ENTITY fetchmail-size          "1.2 MB">
   <!ENTITY fetchmail-buildsize     "5.8 MB">
@@ -34,4 +35,5 @@
 <listitem><para>Download (FTP): <ulink
 url="&fetchmail-download-ftp;"/></para></listitem>
+<listitem><para>Download MD5 sum: &fetchmail-md5sum;</para></listitem>
 <listitem><para>Download size: &fetchmail-size;</para></listitem>
 <listitem><para>Estimated disk space required:
@@ -42,13 +44,11 @@
 
 <sect3><title><application>Fetchmail</application> dependencies</title>
-
 <sect4><title>Required</title>
-
-<para><xref linkend="openssl"/> and a local MDA (<xref linkend="procmail"/>)
-</para>
+<para><xref linkend="openssl"/> and 
+a local MDA (<xref linkend="procmail"/>)</para>
 </sect4>
 
 <sect4><title>Optional</title>
-<para><xref linkend="python"/> and <xref linkend="tk"/>.</para>
+<para><xref linkend="python"/> and <xref linkend="tk"/></para>
 </sect4>
 </sect3>
@@ -59,5 +59,6 @@
 <title>Installation of <application>Fetchmail</application></title>
 
-<para>Install <application>Fetchmail</application> by running the following commands:</para>
+<para>Install <application>Fetchmail</application> by running the following 
+commands:</para>
 
 <screen><userinput><command>./configure --prefix=/usr --with-ssl --enable-fallback=procmail &amp;&amp;
@@ -102,6 +103,6 @@
 <command>chmod 0600 ~/.fetchmailrc</command></userinput></screen>
 
-<para>This is an example configuration that should suffice for most people.  You 
-can add as many users and servers as you need using the same syntax.</para>
+<para>This is an example configuration that should suffice for most people. 
+You can add as many users and servers as you need using the same syntax.</para>
 
 <para><command>man fetchmail</command>: Look for the section near
@@ -109,5 +110,4 @@
 gives some quick examples. There are countless other config options once 
 you get used to it.</para>
-
 </sect3>
 
@@ -137,5 +137,4 @@
 <application>Python</application>, and it must have the Tkinker module
 available.</para>
-
 </sect3>
 
Index: basicnet/mailnews/mutt.xml
===================================================================
--- basicnet/mailnews/mutt.xml	(revision 28ce64378e45c4d76b48d543f63c1205a62caf03)
+++ basicnet/mailnews/mutt.xml	(revision 55c657e0af190a1a31ec7531a985c9919e07ed99)
@@ -7,4 +7,5 @@
   <!ENTITY mutt-download-http "http://gd.tuwien.ac.at/infosys/mail/mutt/mutt-&mutt-version;.tar.gz">
   <!ENTITY mutt-download-ftp  "ftp://ftp.mutt.org/mutt/mutt-&mutt-version;.tar.gz">
+  <!ENTITY mutt-md5sum        "710bd56d3c4c4bcd1403bc4e053f7476">
   <!ENTITY mutt-size          "2.6 MB">
   <!ENTITY mutt-buildsize     "16.9 MB">
@@ -24,5 +25,5 @@
 
 <para>The <application>Mutt</application> package contains a Mail User Agent. 
-This is useful for reading, writing, replying, saving, and deleting your 
+This is useful for reading, writing, replying to, saving, and deleting your 
 email.</para>
 
@@ -33,4 +34,5 @@
 <listitem><para>Download (FTP): <ulink
 url="&mutt-download-ftp;"/></para></listitem>
+<listitem><para>Download MD5 sum: &mutt-md5sum;</para></listitem>
 <listitem><para>Download size: &mutt-size;</para></listitem>
 <listitem><para>Estimated disk space required:
Index: basicnet/mailnews/nail.xml
===================================================================
--- basicnet/mailnews/nail.xml	(revision 28ce64378e45c4d76b48d543f63c1205a62caf03)
+++ basicnet/mailnews/nail.xml	(revision 55c657e0af190a1a31ec7531a985c9919e07ed99)
@@ -7,4 +7,5 @@
   <!ENTITY nail-download-http "http://prdownloads.sourceforge.net/nail/nail-&nail-version;.tar.bz2">
   <!ENTITY nail-download-ftp  " ">
+  <!ENTITY nail-md5sum        "f08dab4fb6a069bc6876b0b58116716b">
   <!ENTITY nail-size          "266 KB">
   <!ENTITY nail-buildsize     "2.9 MB">
@@ -41,4 +42,5 @@
 <listitem><para>Download (FTP): <ulink
 url="&nail-download-ftp;"/></para></listitem>
+<listitem><para>Download MD5 sum: &nail-md5sum;</para></listitem>
 <listitem><para>Download size: &nail-size;</para></listitem>
 <listitem><para>Estimated disk space required:
Index: basicnet/mailnews/pine.xml
===================================================================
--- basicnet/mailnews/pine.xml	(revision 28ce64378e45c4d76b48d543f63c1205a62caf03)
+++ basicnet/mailnews/pine.xml	(revision 55c657e0af190a1a31ec7531a985c9919e07ed99)
@@ -6,5 +6,6 @@
 
   <!ENTITY pine-download-http "http://mirror.sit.wisc.edu/pub/net/mail/pine/pine&pine-version;.tar.bz2">
-  <!ENTITY pine-download-ftp  "ftp://ftp.cac.washington.edu/pine/pine&pine-version;.tar.bz2">
+  <!ENTITY pine-download-ftp  "ftp://ftp.fu-berlin.de/unix/linux/mirrors/gentoo/distfiles/pine&pine-version;.tar.bz2">
+  <!ENTITY pine-md5sum        "aece91c8a857605994829ffa91d98c9f">
   <!ENTITY pine-size          "2.9 MB">
   <!ENTITY pine-buildsize     "50 MB">
@@ -34,4 +35,5 @@
 <listitem><para>Download (FTP): <ulink
 url="&pine-download-ftp;"/></para></listitem>
+<listitem><para>Download MD5 sum: &pine-md5sum;</para></listitem>
 <listitem><para>Download size: &pine-size;</para></listitem>
 <listitem><para>Estimated disk space required:
@@ -50,10 +52,10 @@
 <sect3><title><application>Pine</application> dependencies</title>
 <sect4><title>Required</title>
-<para><xref linkend="openssl"/></para></sect4>
+<para><xref linkend="openssl"/></para>
+</sect4>
+
 <sect4><title>Optional</title>
-<para>
-<xref linkend="openldap"/> and
-<xref linkend="mitkrb"/>
-</para></sect4>
+<para><xref linkend="openldap"/> and <xref linkend="mitkrb"/></para>
+</sect4>
 </sect3>
 
@@ -63,5 +65,6 @@
 <title>Installation of <application>Pine</application></title>
 
-<para>Install <application>Pine</application> by running the following commands: </para>
+<para>Install <application>Pine</application> by running the following 
+commands:</para>
 
 <screen><userinput><command>patch -Np1 -i ../pine-&pine-version;-fhs-3.patch &amp;&amp;
@@ -70,5 +73,5 @@
 cp doc/*.1 /usr/share/man/man1 &amp;&amp;    
 cd bin &amp;&amp;
-install pine imapd ipop2d ipop3d mailutil mtest pico \
+install -m755 pine imapd ipop2d ipop3d mailutil mtest pico \
     pilot rpdump rpload /usr/bin</command></userinput></screen>
 
@@ -101,10 +104,10 @@
 
 <para><command>SSLDIR=/usr SSLCERTS=/etc/ssl/certs</command>: Location
-of OpenSSL files.</para>
+of <application>Open<acronym>SSL</acronym></application> files.</para>
 
 <para><screen><command>cd bin &amp;&amp;
-install pine imapd ipop2d ipop3d mailutil mtest pico \
+install -m755 pine imapd ipop2d ipop3d mailutil mtest pico \
     pilot rpdump rpload /usr/bin</command></screen>
-This installs <application>Pine</application>.</para>
+This installs the <application>Pine</application> programs.</para>
 
 </sect2>
@@ -120,6 +123,6 @@
 
 <para>The <command>pine</command> executable needs no global configuration to 
-use.  Users set <application>Pine</application> options in <filename>~/.pinerc
-</filename> using an internal configuration menu.</para>
+use.  Users set <application>Pine</application> options in 
+<filename>~/.pinerc</filename> using an internal configuration menu.</para>
 </sect3>
 
@@ -151,8 +154,10 @@
 
 <sect3><title>pilot</title>
-<para><command>pilot</command> is a file and directory navigator and browser.</para></sect3>
+<para><command>pilot</command> is a file and directory navigator and 
+browser.</para></sect3>
 
 <sect3><title>imapd</title>
-<para><command>imapd</command> is the <acronym>IMAP</acronym> server daemon.</para></sect3>
+<para><command>imapd</command> is the <acronym>IMAP</acronym> server 
+daemon.</para></sect3>
 
 <sect3><title>ipop2d</title>
@@ -174,5 +179,4 @@
 or address books.</para></sect3>
 
-
 <sect3><title>rpdump</title>
 <para><command>rpdump</command> is used to copy data from remote
Index: basicnet/mailnews/procmail.xml
===================================================================
--- basicnet/mailnews/procmail.xml	(revision 28ce64378e45c4d76b48d543f63c1205a62caf03)
+++ basicnet/mailnews/procmail.xml	(revision 55c657e0af190a1a31ec7531a985c9919e07ed99)
@@ -7,4 +7,5 @@
   <!ENTITY procmail-download-http "http://www.procmail.org/procmail-&procmail-version;.tar.gz">
   <!ENTITY procmail-download-ftp  "ftp://ftp.procmail.net/pub/procmail/procmail-&procmail-version;.tar.gz">
+  <!ENTITY procmail-md5sum        "1678ea99b973eb77eda4ecf6acae53f1">
   <!ENTITY procmail-size          "338 KB">
   <!ENTITY procmail-buildsize     "1.5 MB">
@@ -23,6 +24,6 @@
 <title>Introduction to <application>Procmail</application></title>
 
-<para>The <application>Procmail</application> package contains an autonomous mail processor. This
-is useful for filtering and sorting incoming mail.</para>
+<para>The <application>Procmail</application> package contains an autonomous 
+mail processor. This is useful for filtering and sorting incoming mail.</para>
 
 <sect3><title>Package information</title>
@@ -32,4 +33,5 @@
 <listitem><para>Download (FTP): <ulink
 url="&procmail-download-ftp;"/></para></listitem>
+<listitem><para>Download MD5 sum: &procmail-md5sum;</para></listitem>
 <listitem><para>Download size: &procmail-size;</para></listitem>
 <listitem><para>Estimated disk space required:
@@ -39,5 +41,4 @@
 </sect3>
 
-
 </sect2>
 
@@ -45,5 +46,6 @@
 <title>Installation of <application>Procmail</application></title>
 
-<para>Install <application>Procmail</application> by running the following commands:</para>
+<para>Install <application>Procmail</application> by running the following 
+commands:</para>
 
 <screen><userinput><command>make LOCKINGTEST=/tmp install &amp;&amp;
@@ -55,6 +57,7 @@
 <title>Command explanations</title>
 
-<para><command>make LOCKINGTEST=/tmp install</command>: This prevents make from
-asking you where to test file-locking patterns.</para>
+<para><command>make LOCKINGTEST=/tmp install</command>: This prevents 
+<command>make</command> from asking you where to test file-locking 
+patterns.</para>
 
 <para><command>make install-suid</command>: Modifies permissions of
@@ -82,5 +85,9 @@
 <title>Contents</title>
 
-<para>The <application>Procmail</application> package contains <command>procmail</command>, <command>formail</command>, <command>lockfile</command> and <command>mailstat</command>.</para>
+<para>The <application>Procmail</application> package contains 
+<command>procmail</command>, 
+<command>formail</command>, 
+<command>lockfile</command> and 
+<command>mailstat</command>.</para>
 
 </sect2>
@@ -90,5 +97,6 @@
 <sect3><title>procmail</title>
 <para><command>procmail</command> is an autonomous mail processor.  It performs
-all the functions of a <acronym>MDA</acronym> (Mail Delivery Agent).</para></sect3>
+all the functions of a <acronym>MDA</acronym> (Mail Delivery 
+Agent).</para></sect3>
 
 <sect3><title>formail</title>
Index: basicnet/mailnews/slrn.xml
===================================================================
--- basicnet/mailnews/slrn.xml	(revision 28ce64378e45c4d76b48d543f63c1205a62caf03)
+++ basicnet/mailnews/slrn.xml	(revision 55c657e0af190a1a31ec7531a985c9919e07ed99)
@@ -7,4 +7,5 @@
   <!ENTITY slrn-download-http "http://prdownloads.sourceforge.net/slrn/slrn-&slrn-version;.tar.bz2">
   <!ENTITY slrn-download-ftp  "ftp://ftp.fh-heilbronn.de/pub/mirrors/slrn/slrn-&slrn-version;.tar.bz2">
+  <!ENTITY slrn-md5sum        "9b613007df537444a5f8a4a2994fadb7">
   <!ENTITY slrn-size          "1011 KB">
   <!ENTITY slrn-buildsize     "9.3 MB">
@@ -23,30 +24,38 @@
 <title>Introduction to <application>slrn</application></title>
 
-<para><application>slrn</application> is a slang-based news reader, capable of reading local news
-spools as well as groups from an <acronym>NNTP</acronym> server.  Small local news spools
-can also be created with the use of the slrnpull program included in
-the slrn distribution.</para>
+<para><application>slrn</application> is a slang-based news reader, capable of 
+reading local news spools as well as groups from an <acronym>NNTP</acronym> 
+server. Small local news spools can also be created with the use of the 
+<command>slrnpull</command> program included in the 
+<application>slrn</application> distribution.</para>
 
 <sect3><title>Package information</title>
 <itemizedlist spacing='compact'>
-<listitem><para>Download (HTTP): <ulink url="&slrn-download-http;"/></para></listitem>
-<listitem><para>Download (FTP): <ulink url="&slrn-download-ftp;"/></para></listitem>
+<listitem><para>Download (HTTP): 
+<ulink url="&slrn-download-http;"/></para></listitem>
+<listitem><para>Download (FTP): 
+<ulink url="&slrn-download-ftp;"/></para></listitem>
+<listitem><para>Download MD5 sum: &slrn-md5sum;</para></listitem>
 <listitem><para>Download size: &slrn-size;</para></listitem>
-<listitem><para>Estimated disk space required: &slrn-buildsize;</para></listitem>
-<listitem><para>Estimated build time: &slrn-time;</para></listitem></itemizedlist>
+<listitem><para>Estimated disk space required: 
+&slrn-buildsize;</para></listitem>
+<listitem><para>Estimated build time: 
+&slrn-time;</para></listitem></itemizedlist>
 </sect3>
 
 <sect3><title><application>slrn</application> dependencies</title>
 <sect4><title>Required</title>
-<para><xref linkend="slang"/> and <acronym>MTA</acronym> (See <xref linkend="server-mail"/>)</para></sect4>
+<para><xref linkend="slang"/> and 
+<acronym>MTA</acronym> (See <xref linkend="server-mail"/>)</para>
+</sect4>
 
 <sect4><title>Optional</title>
-<para>
-<xref linkend="openssl"/>,
+<para><xref linkend="openssl"/>,
 <ulink url="http://www.gnu.org/software/gnutls/">GnuTLS</ulink>,
 <ulink url="http://www.fpx.de/fp/Software/UUDeview/">UUDeview</ulink>,
 <ulink url="http://www.isc.org/index.pl?/sw/inn/">INN</ulink> and
-<ulink url="http://homepage.mac.com/imeowbot/iblog/C1355421991/">libcanlock</ulink>
-</para></sect4>
+<ulink url="http://homepage.mac.com/imeowbot/iblog/C1355421991/">
+libcanlock</ulink></para>
+</sect4>
 </sect3>
 
@@ -56,5 +65,6 @@
 <title>Installation of <application>slrn</application></title>
 
-<para>Install <application>slrn</application> by running the following commands:</para>
+<para>Install <application>slrn</application> by running the following 
+commands:</para>
 
 <screen><userinput><command>./configure --prefix=/usr --sysconfdir=/etc \
@@ -72,9 +82,11 @@
 executable.</para>
 
-<para><option>--with-ssl</option>: This switch adds OpenSSL support to
-slrn.</para>
+<para><option>--with-ssl</option>: This switch adds 
+<application>Open<acronym>SSL</acronym></application> support to
+<application>slrn</application>.</para>
 
-<para><option>--with-uudeview</option>: This switch adds UUDeview
-support to slrn.</para>
+<para><option>--with-uudeview</option>: This switch adds 
+<application>UUDeview</application> support to 
+<application>slrn</application>.</para>
 
 </sect2>
@@ -93,9 +105,9 @@
 <filename>~/.jnewsrc</filename> file must be
 created. For this configuration to work, you must have an environmental
-variable, <envar>NNTPSERVER</envar>, set. In normal operation it would be exported into
-the environment by a startup file, like <filename>/etc/profile</filename>
-or <filename>~/.bashrc</filename>. Here we will just put it into the
-environment of the configuration step. We will use the
-<acronym>LFS</acronym> news server in this example, but you should use
+variable, <envar>NNTPSERVER</envar>, set. In normal operation it would be 
+exported into the environment by a startup file, like 
+<filename>/etc/profile</filename> or <filename>~/.bashrc</filename>. Here it 
+is just put it into the environment of the configuration step. For now, the 
+<acronym>LFS</acronym> news server is used in this example, but you should use 
 whatever server you prefer.</para>
 
@@ -109,7 +121,7 @@
 is a sample startup <filename>/usr/share/doc/slrn/slrn.rc</filename>
 file that comes with slrn. It is extensively documented but if you
-need more information, look at <ulink
-url="http://slrn.sourceforge.net/docs/">the slrn
-website</ulink>.</para>
+need more information, look at 
+<ulink url="http://slrn.sourceforge.net/docs/">the 
+<application>slrn</application> website</ulink>.</para>
 
 </sect3>
Index: basicnet/netprogs/ncftp.xml
===================================================================
--- basicnet/netprogs/ncftp.xml	(revision 28ce64378e45c4d76b48d543f63c1205a62caf03)
+++ basicnet/netprogs/ncftp.xml	(revision 55c657e0af190a1a31ec7531a985c9919e07ed99)
@@ -6,6 +6,7 @@
 
   <!ENTITY ncftp-download-http "http://gd.tuwien.ac.at/infosys/clients/ftp/ncftp/ncftp-&ncftp-version;-src.tar.bz2">
-  <!ENTITY ncftp-download-ftp  "ftp://ftp.ncftp.com/ncftp/ncftp-&ncftp-version;-src.tar.bz2">
-  <!ENTITY ncftp-md5sum        "N/A">
+  <!-- <!ENTITY ncftp-download-ftp  "ftp://ftp.ncftp.com/ncftp/ncftp-&ncftp-version;-src.tar.bz2"> -->
+  <!ENTITY ncftp-download-ftp  "ftp://ftp.fu-berlin.de/unix/linux/mirrors/gentoo/distfiles/ncftp-&ncftp-version;-src.tar.bz2">
+  <!ENTITY ncftp-md5sum        "2a310a3c9ca126e6b409d0d1d1ccda75">
   <!ENTITY ncftp-size          "389 KB">
   <!ENTITY ncftp-buildsize     "5.2 MB">
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 28ce64378e45c4d76b48d543f63c1205a62caf03)
+++ introduction/welcome/changelog.xml	(revision 55c657e0af190a1a31ec7531a985c9919e07ed99)
@@ -23,6 +23,7 @@
 <itemizedlist>
 
-<listitem><para>February 11th, 2005 [randy]: Added md5sums to Chapters 18 
-and 19 package instructions.</para></listitem>
+<listitem><para>February 11th, 2005 [randy]: Added md5sums to Chapter 18, 
+19 and 20 package instructions; changed FTP download URL in NcFTP and Pine 
+instructions.</para></listitem>
 
 <listitem><para>February 10th, 2005 [larry]: Updated to emacs-21.4 and