Index: content/web/php.xml
===================================================================
--- content/web/php.xml	(revision 561a987e22969724742cf23c2e262dc19a4110ab)
+++ content/web/php.xml	(revision 57b19692683dfd58d6d07f044d3f8d411dffda6e)
@@ -6,4 +6,5 @@
 &php-inst;
 &php-config;
+&php-desc;
 
 </sect1>
Index: content/web/php/php-desc.xml
===================================================================
--- content/web/php/php-desc.xml	(revision 57b19692683dfd58d6d07f044d3f8d411dffda6e)
+++ content/web/php/php-desc.xml	(revision 57b19692683dfd58d6d07f044d3f8d411dffda6e)
@@ -0,0 +1,20 @@
+<sect2>
+<title>Contents</title>
+
+<para>The <application><acronym>PHP</acronym></application> package contains
+<command>pear</command>,
+<command>php</command>,
+<command>php-config</command>,
+<command>phpextdist</command> and
+<command>phpize</command>.
+</para>
+
+</sect2>
+
+<sect2><title>Description</title>
+
+<sect3><title>php</title>
+<para><command>php</command> is a command line interface that enables
+you to parse and execute <acronym>PHP</acronym> code.</para></sect3>
+
+</sect2>
Index: content/web/php/php-inst.xml
===================================================================
--- content/web/php/php-inst.xml	(revision 561a987e22969724742cf23c2e262dc19a4110ab)
+++ content/web/php/php-inst.xml	(revision 57b19692683dfd58d6d07f044d3f8d411dffda6e)
@@ -5,14 +5,11 @@
 running the following commands:</para>
 
-<screen><userinput><command>./configure --prefix=/usr --with-apxs2=/usr/sbin/apxs \
-    --with-config-file-path=/etc --with-openssl=/usr \
-    --with-zlib=/usr --enable-bcmath --with-bz2=/usr \
-    --with-curl --enable-ftp --with-gd --with-jpeg-dir=/usr \
-    --enable-gd-native-ttf --with-db4 --with-png-dir=/usr \
-    --with-freetype-dir=/usr --with-gettext --with-mysql=/usr \
-    --with-ncurses --sysconfdir=/etc &amp;&amp;
+<screen><userinput><command>./configure --prefix=/usr --sysconfdir=/etc \
+    --with-apxs2 --with-config-file-path=/etc \
+    --with-zlib --with-bz2 --enable-ftp --with-gettext \
+    --with-iconv --with-mysql=/usr --with-ncurses &amp;&amp;
 make &amp;&amp;
 make install &amp;&amp;
-cp php.ini-dist /etc/php.ini</command></userinput></screen>
+cp php.ini-recommended /etc/php/php.ini</command></userinput></screen>
 
 <note><para><acronym>PHP</acronym> has many more configure options that
Index: content/web/php/php-intro.xml
===================================================================
--- content/web/php/php-intro.xml	(revision 561a987e22969724742cf23c2e262dc19a4110ab)
+++ content/web/php/php-intro.xml	(revision 57b19692683dfd58d6d07f044d3f8d411dffda6e)
@@ -19,4 +19,9 @@
 <sect4><title>Required</title>
 <para>
+<xref linkend="apache"/> and
+<xref linkend="mysql"/>
+</para></sect4>
+<sect4><title>Optional</title>
+<para>
 <xref linkend="openssl"/>,
 <xref linkend="bc"/>,
@@ -26,11 +31,6 @@
 <xref linkend="libpng"/>,
 <xref linkend="freetype2"/>,
-<xref linkend="mysql"/> and
-<xref linkend="apache"/>
-</para></sect4>
-<sect4><title>Optional</title>
-<para>
 <xref linkend="gdbm"/>, 
-<xref linkend="sendmail"/>, 
+<ulink url="../server/mail.html">MTA</ulink>,
 <xref linkend="pcre"/>,
 <xref linkend="postgresql"/>,
Index: content/web/php/php.ent
===================================================================
--- content/web/php/php.ent	(revision 561a987e22969724742cf23c2e262dc19a4110ab)
+++ content/web/php/php.ent	(revision 57b19692683dfd58d6d07f044d3f8d411dffda6e)
@@ -3,8 +3,9 @@
 <!ENTITY php-inst SYSTEM "php-inst.xml">
 <!ENTITY php-config SYSTEM "php-config.xml">
-<!ENTITY php-version "4.3.3">
+<!ENTITY php-desc SYSTEM "php-desc.xml">
+<!ENTITY php-version "4.3.5">
 <!ENTITY php-download-http "http://us2.php.net/distributions/php-&php-version;.tar.bz2">
 <!ENTITY php-download-ftp "ftp://ftp.isu.edu.tw/pub/Unix/Web/PHP/distributions/php-&php-version;.tar.bz2">
-<!ENTITY php-size "3.5 MB">
-<!ENTITY php-buildsize "79 MB">
-<!ENTITY php-time "1.24 SBU">
+<!ENTITY php-size "3.8 MB">
+<!ENTITY php-buildsize "56 MB">
+<!ENTITY php-time "0.82 SBU">
Index: index.xml
===================================================================
--- index.xml	(revision 561a987e22969724742cf23c2e262dc19a4110ab)
+++ index.xml	(revision 57b19692683dfd58d6d07f044d3f8d411dffda6e)
@@ -3,7 +3,7 @@
 			"/usr/share/docbook/docbookx.dtd" [
 
-<!ENTITY version "CVS-20040414">
-<!ENTITY releasedate "April 14th, 2004">
-<!ENTITY pubdate "2004-04-14">
+<!ENTITY version "CVS-20040415">
+<!ENTITY releasedate "April 15th, 2004">
+<!ENTITY pubdate "2004-04-15">
 <!ENTITY blfs-version "cvs">
 
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 561a987e22969724742cf23c2e262dc19a4110ab)
+++ introduction/welcome/changelog.xml	(revision 57b19692683dfd58d6d07f044d3f8d411dffda6e)
@@ -11,4 +11,6 @@
 
 <itemizedlist>
+
+<listitem><para>April 15th, 2004 [igor]: Updated to PHP-4.3.5.</para></listitem>
 
 <listitem><para>April 14th, 2004 [tushar]: Updated xfree86 createfiles
Index: multimedia/libdriv/alsa/driver/alsa-driver-inst.xml
===================================================================
--- multimedia/libdriv/alsa/driver/alsa-driver-inst.xml	(revision 561a987e22969724742cf23c2e262dc19a4110ab)
+++ multimedia/libdriv/alsa/driver/alsa-driver-inst.xml	(revision 57b19692683dfd58d6d07f044d3f8d411dffda6e)
@@ -19,10 +19,10 @@
 
 <screen><userinput><command>CC=/opt/gcc-2.95.3/bin/gcc ./configure \
-   --with-moddir=/lib/modules/`uname -r`/kernel/drivers/sound \
-   --with-kernel=/lib/modules/`uname -r`/build \
-   --with-sequencer=yes \
-   --with-oss=yes \
-   --with-isapnp=no \
-   --with-cards=all &amp;&amp;
+    --with-moddir=/lib/modules/`uname -r`/kernel/drivers/sound \
+    --with-kernel=/lib/modules/`uname -r`/build \
+    --with-sequencer=yes \
+    --with-oss=yes \
+    --with-isapnp=no \
+    --with-cards=all &amp;&amp;
 make &amp;&amp;
 make install</command></userinput></screen>
Index: pst/xml/docbook-xsl/docbook-xsl-config.xml
===================================================================
--- pst/xml/docbook-xsl/docbook-xsl-config.xml	(revision 561a987e22969724742cf23c2e262dc19a4110ab)
+++ pst/xml/docbook-xsl/docbook-xsl-config.xml	(revision 57b19692683dfd58d6d07f044d3f8d411dffda6e)
@@ -16,6 +16,6 @@
 present working directory, so make any necessary modifications for your setup.
 <screen><command>xsltproc --nonet -o index.html \
-http://docbook.sourceforge.net/release/xsl/current/html/docbook.xsl \
-~/BLFS/BOOK/index.xml</command></screen>
+    http://docbook.sourceforge.net/release/xsl/current/html/docbook.xsl \
+    ~/BLFS/BOOK/index.xml</command></screen>
 If successful you should have a <filename>index.html</filename> file that will 
 display the <acronym>BLFS</acronym> Book in a browser on a single page. It 
@@ -27,3 +27,2 @@
 
 </sect2>
-
Index: pst/xml/docbook-xsl/docbook-xsl-inst.xml
===================================================================
--- pst/xml/docbook-xsl/docbook-xsl-inst.xml	(revision 561a987e22969724742cf23c2e262dc19a4110ab)
+++ pst/xml/docbook-xsl/docbook-xsl-inst.xml	(revision 57b19692683dfd58d6d07f044d3f8d411dffda6e)
@@ -7,31 +7,30 @@
 <screen><userinput><command>install -d /usr/share/xml/docbook/xsl-stylesheets-&docbook-xsl-version; &amp;&amp;
 cp -af VERSION common extensions fo html htmlhelp images javahelp lib \
-manpages params profiling template tools xhtml \
-/usr/share/xml/docbook/xsl-stylesheets-&docbook-xsl-version; &amp;&amp;
+    manpages params profiling template tools xhtml \
+    /usr/share/xml/docbook/xsl-stylesheets-&docbook-xsl-version; &amp;&amp;
 install -d /usr/share/doc/xml &amp;&amp;
 cp -af doc/* /usr/share/doc/xml &amp;&amp;
 if [ ! -f /etc/xml/catalog ]; then mkdir -p /etc/xml; xmlcatalog --noout \
---create /etc/xml/catalog; fi &amp;&amp;
+    --create /etc/xml/catalog; fi &amp;&amp;
 if [ ! -e /etc/xml/docbook ]; then xmlcatalog --noout --create \
-/etc/xml/docbook; fi &amp;&amp;
+    /etc/xml/docbook; fi &amp;&amp;
 xmlcatalog --noout --add "rewriteSystem" \
-"http://docbook.sourceforge.net/release/xsl/1.65.1" \
-"/usr/share/xml/docbook/xsl-stylesheets-&docbook-xsl-version;" /etc/xml/catalog &amp;&amp;
+    "http://docbook.sourceforge.net/release/xsl/1.65.1" \
+    "/usr/share/xml/docbook/xsl-stylesheets-&docbook-xsl-version;" /etc/xml/catalog &amp;&amp;
 xmlcatalog --noout --add "rewriteURI" \
-"http://docbook.sourceforge.net/release/xsl/1.65.1" \
-"/usr/share/xml/docbook/xsl-stylesheets-&docbook-xsl-version;" /etc/xml/catalog &amp;&amp;
+    "http://docbook.sourceforge.net/release/xsl/1.65.1" \
+    "/usr/share/xml/docbook/xsl-stylesheets-&docbook-xsl-version;" /etc/xml/catalog &amp;&amp;
 xmlcatalog --noout --add "rewriteSystem" \
-"http://docbook.sourceforge.net/release/xsl/current" \
-"/usr/share/xml/docbook/xsl-stylesheets-&docbook-xsl-version;" /etc/xml/catalog &amp;&amp;
+    "http://docbook.sourceforge.net/release/xsl/current" \
+    "/usr/share/xml/docbook/xsl-stylesheets-&docbook-xsl-version;" /etc/xml/catalog &amp;&amp;
 xmlcatalog --noout --add "rewriteURI" \
-"http://docbook.sourceforge.net/release/xsl/current" \
-"/usr/share/xml/docbook/xsl-stylesheets-&docbook-xsl-version;" /etc/xml/catalog &amp;&amp;
+    "http://docbook.sourceforge.net/release/xsl/current" \
+    "/usr/share/xml/docbook/xsl-stylesheets-&docbook-xsl-version;" /etc/xml/catalog &amp;&amp;
 xmlcatalog --noout --add "delegateSystem" \
-"http://docbook.sourceforge.net/release/xsl/" \
-"file:///etc/xml/docbook" /etc/xml/catalog &amp;&amp;
+    "http://docbook.sourceforge.net/release/xsl/" \
+    "file:///etc/xml/docbook" /etc/xml/catalog &amp;&amp;
 xmlcatalog --noout --add "delegateURI" \
-"http://docbook.sourceforge.net/release/xsl/" \
-"file:///etc/xml/docbook" /etc/xml/catalog</command></userinput></screen>
+    "http://docbook.sourceforge.net/release/xsl/" \
+    "file:///etc/xml/docbook" /etc/xml/catalog</command></userinput></screen>
 
 </sect2>
-
Index: pst/xml/docbook/docbook-config.xml
===================================================================
--- pst/xml/docbook/docbook-config.xml	(revision 561a987e22969724742cf23c2e262dc19a4110ab)
+++ pst/xml/docbook/docbook-config.xml	(revision 57b19692683dfd58d6d07f044d3f8d411dffda6e)
@@ -12,17 +12,17 @@
 <acronym>BLFS</acronym> book:</para>
 <screen><userinput><command>xmlcatalog --noout --add "delegateSystem" \
-"/usr/share/docbook/" \
-"file:///etc/xml/docbook" /etc/xml/catalog &amp;&amp;
+    "/usr/share/docbook/" \
+    "file:///etc/xml/docbook" /etc/xml/catalog &amp;&amp;
 xmlcatalog --noout --add "delegateURI" \
-"/usr/share/docbook/" \
-"file:///etc/xml/docbook" /etc/xml/catalog &amp;&amp;
+    "/usr/share/docbook/" \
+    "file:///etc/xml/docbook" /etc/xml/catalog &amp;&amp;
 xmlcatalog --noout --add "rewriteSystem" \
-"/usr/share/docbook" \
-"file:///usr/share/xml/docbook/xml-dtd-&DocBook-version;" \
-/etc/xml/docbook &amp;&amp;
+    "/usr/share/docbook" \
+    "file:///usr/share/xml/docbook/xml-dtd-&DocBook-version;" \
+    /etc/xml/docbook &amp;&amp;
 xmlcatalog --noout --add "rewriteURI" \
-"/usr/share/docbook" \
-"file:///usr/share/xml/docbook/xml-dtd-&DocBook-version;" \
-/etc/xml/docbook</command></userinput></screen>
+    "/usr/share/docbook" \
+    "file:///usr/share/xml/docbook/xml-dtd-&DocBook-version;" \
+    /etc/xml/docbook</command></userinput></screen>
 
 <para>In order to install <application>ScrollKeeper</application> or to utilize 
@@ -31,25 +31,25 @@
 requested in the System Identifier, make the following entry:</para>
 <screen><userinput><command>xmlcatalog --noout --add "public" \
-"-//OASIS//DTD DocBook XML V4.1.2//EN" \
-"http://www.oasis-open.org/docbook/xml/4.1.2/docbookx.dtd" \
-/etc/xml/docbook &amp;&amp;
+    "-//OASIS//DTD DocBook XML V4.1.2//EN" \
+    "http://www.oasis-open.org/docbook/xml/4.1.2/docbookx.dtd" \
+    /etc/xml/docbook &amp;&amp;
 xmlcatalog --noout --add "delegateSystem" \
-"http://www.oasis-open.org/docbook/xml/4.1.2/" \
-"file:///etc/xml/docbook" /etc/xml/catalog &amp;&amp;
+    "http://www.oasis-open.org/docbook/xml/4.1.2/" \
+    "file:///etc/xml/docbook" /etc/xml/catalog &amp;&amp;
 xmlcatalog --noout --add "delegateURI" \
-"http://www.oasis-open.org/docbook/xml/4.1.2/" \
-"file:///etc/xml/docbook" /etc/xml/catalog &amp;&amp;
+    "http://www.oasis-open.org/docbook/xml/4.1.2/" \
+    "file:///etc/xml/docbook" /etc/xml/catalog &amp;&amp;
 xmlcatalog --noout --add "rewriteSystem" \
-"http://www.oasis-open.org/docbook/xml/4.1.2" \
-"file:///usr/share/xml/docbook/xml-dtd-&DocBook-version;" \
-/etc/xml/docbook &amp;&amp;
+    "http://www.oasis-open.org/docbook/xml/4.1.2" \
+    "file:///usr/share/xml/docbook/xml-dtd-&DocBook-version;" \
+    /etc/xml/docbook &amp;&amp;
 xmlcatalog --noout --add "rewriteURI" \
-"http://www.oasis-open.org/docbook/xml/4.1.2" \
-"file:///usr/share/xml/docbook/xml-dtd-&DocBook-version;" \
-/etc/xml/docbook &amp;&amp;
+    "http://www.oasis-open.org/docbook/xml/4.1.2" \
+    "file:///usr/share/xml/docbook/xml-dtd-&DocBook-version;" \
+    /etc/xml/docbook &amp;&amp;
 xmlcatalog --noout --add "rewriteURI" \
-"http://www.oasis-open.org/docbook/xml/4.2" \
-"file:///usr/share/xml/docbook/xml-dtd-&DocBook-version;" \
-/etc/xml/docbook</command></userinput></screen>
+    "http://www.oasis-open.org/docbook/xml/4.2" \
+    "file:///usr/share/xml/docbook/xml-dtd-&DocBook-version;" \
+    /etc/xml/docbook</command></userinput></screen>
 </sect3>
 
Index: pst/xml/docbook/docbook-inst.xml
===================================================================
--- pst/xml/docbook/docbook-inst.xml	(revision 561a987e22969724742cf23c2e262dc19a4110ab)
+++ pst/xml/docbook/docbook-inst.xml	(revision 57b19692683dfd58d6d07f044d3f8d411dffda6e)
@@ -7,60 +7,59 @@
 cp -af docbook.cat *.dtd ent/ *.mod /usr/share/xml/docbook/xml-dtd-&DocBook-version; &amp;&amp;
 if [ ! -e /etc/xml/catalog ]; then mkdir -p /etc/xml; xmlcatalog --noout \
---create /etc/xml/catalog; fi &amp;&amp;
+    --create /etc/xml/catalog; fi &amp;&amp;
 if [ ! -e /etc/xml/docbook ]; then xmlcatalog --noout --create \
-/etc/xml/docbook; fi &amp;&amp;
+    /etc/xml/docbook; fi &amp;&amp;
 xmlcatalog --noout --add "public" \
-"-//OASIS//ELEMENTS DocBook XML Information Pool V&DocBook-version;//EN" \
-"file:///usr/share/xml/docbook/xml-dtd-&DocBook-version;/dbpoolx.mod" \
-/etc/xml/docbook &amp;&amp;
+    "-//OASIS//ELEMENTS DocBook XML Information Pool V&DocBook-version;//EN" \
+    "file:///usr/share/xml/docbook/xml-dtd-&DocBook-version;/dbpoolx.mod" \
+    /etc/xml/docbook &amp;&amp;
 xmlcatalog --noout --add "public" \
-"-//OASIS//DTD DocBook XML V&DocBook-version;//EN" \
-"http://www.oasis-open.org/docbook/xml/&DocBook-version;/docbookx.dtd" \
-/etc/xml/docbook &amp;&amp;
+    "-//OASIS//DTD DocBook XML V&DocBook-version;//EN" \
+    "http://www.oasis-open.org/docbook/xml/&DocBook-version;/docbookx.dtd" \
+    /etc/xml/docbook &amp;&amp;
 xmlcatalog --noout --add "public" \
-"-//OASIS//ENTITIES DocBook XML Character Entities V&DocBook-version;//EN" \
-"file:///usr/share/xml/docbook/xml-dtd-&DocBook-version;/dbcentx.mod" \
-/etc/xml/docbook &amp;&amp;
+    "-//OASIS//ENTITIES DocBook XML Character Entities V&DocBook-version;//EN" \
+    "file:///usr/share/xml/docbook/xml-dtd-&DocBook-version;/dbcentx.mod" \
+    /etc/xml/docbook &amp;&amp;
 xmlcatalog --noout --add "public" \
-"-//OASIS//ENTITIES DocBook XML Notations V&DocBook-version;//EN" \
-"file:///usr/share/xml/docbook/xml-dtd-&DocBook-version;/dbnotnx.mod" \
-/etc/xml/docbook &amp;&amp;
+    "-//OASIS//ENTITIES DocBook XML Notations V&DocBook-version;//EN" \
+    "file:///usr/share/xml/docbook/xml-dtd-&DocBook-version;/dbnotnx.mod" \
+    /etc/xml/docbook &amp;&amp;
 xmlcatalog --noout --add "public" \
-"-//OASIS//ENTITIES DocBook XML Additional General Entities V&DocBook-version;//EN" \
-"file:///usr/share/xml/docbook/xml-dtd-&DocBook-version;/dbgenent.mod" \
-/etc/xml/docbook &amp;&amp;
+    "-//OASIS//ENTITIES DocBook XML Additional General Entities V&DocBook-version;//EN" \
+    "file:///usr/share/xml/docbook/xml-dtd-&DocBook-version;/dbgenent.mod" \
+    /etc/xml/docbook &amp;&amp;
 xmlcatalog --noout --add "public" \
-"-//OASIS//ELEMENTS DocBook XML Document Hierarchy V&DocBook-version;//EN" \
-"file:///usr/share/xml/docbook/xml-dtd-&DocBook-version;/dbhierx.mod" \
-/etc/xml/docbook &amp;&amp;
+    "-//OASIS//ELEMENTS DocBook XML Document Hierarchy V&DocBook-version;//EN" \
+    "file:///usr/share/xml/docbook/xml-dtd-&DocBook-version;/dbhierx.mod" \
+    /etc/xml/docbook &amp;&amp;
 xmlcatalog --noout --add "public" \
-"-//OASIS//DTD XML Exchange Table Model 19990315//EN" \
-"file:///usr/share/xml/docbook/xml-dtd-&DocBook-version;/soextblx.dtd" \
-/etc/xml/docbook &amp;&amp;
+    "-//OASIS//DTD XML Exchange Table Model 19990315//EN" \
+    "file:///usr/share/xml/docbook/xml-dtd-&DocBook-version;/soextblx.dtd" \
+    /etc/xml/docbook &amp;&amp;
 xmlcatalog --noout --add "public" \
-"-//OASIS//DTD DocBook XML CALS Table Model V&DocBook-version;//EN" \
-"file:///usr/share/xml/docbook/xml-dtd-&DocBook-version;/calstblx.dtd" \
-/etc/xml/docbook &amp;&amp;
+    "-//OASIS//DTD DocBook XML CALS Table Model V&DocBook-version;//EN" \
+    "file:///usr/share/xml/docbook/xml-dtd-&DocBook-version;/calstblx.dtd" \
+    /etc/xml/docbook &amp;&amp;
 xmlcatalog --noout --add "rewriteSystem" \
-"http://www.oasis-open.org/docbook/xml/&DocBook-version;" \
-"file:///usr/share/xml/docbook/xml-dtd-&DocBook-version;" \
-/etc/xml/docbook &amp;&amp;
+    "http://www.oasis-open.org/docbook/xml/&DocBook-version;" \
+    "file:///usr/share/xml/docbook/xml-dtd-&DocBook-version;" \
+    /etc/xml/docbook &amp;&amp;
 xmlcatalog --noout --add "rewriteURI" \
-"http://www.oasis-open.org/docbook/xml/&DocBook-version;" \
-"file:///usr/share/xml/docbook/xml-dtd-&DocBook-version;" \
-/etc/xml/docbook &amp;&amp;
+    "http://www.oasis-open.org/docbook/xml/&DocBook-version;" \
+    "file:///usr/share/xml/docbook/xml-dtd-&DocBook-version;" \
+    /etc/xml/docbook &amp;&amp;
 xmlcatalog --noout --add "delegatePublic" \
-"-//OASIS//ENTITIES DocBook XML" \
-"file:///etc/xml/docbook" /etc/xml/catalog &amp;&amp;
+    "-//OASIS//ENTITIES DocBook XML" \
+    "file:///etc/xml/docbook" /etc/xml/catalog &amp;&amp;
 xmlcatalog --noout --add "delegatePublic" \
-"-//OASIS//DTD DocBook XML" \
-"file:///etc/xml/docbook" /etc/xml/catalog &amp;&amp;
+    "-//OASIS//DTD DocBook XML" \
+    "file:///etc/xml/docbook" /etc/xml/catalog &amp;&amp;
 xmlcatalog --noout --add "delegateSystem" \
-"http://www.oasis-open.org/docbook/" \
-"file:///etc/xml/docbook" /etc/xml/catalog &amp;&amp;
+    "http://www.oasis-open.org/docbook/" \
+    "file:///etc/xml/docbook" /etc/xml/catalog &amp;&amp;
 xmlcatalog --noout --add "delegateURI" \
-"http://www.oasis-open.org/docbook/" \
-"file:///etc/xml/docbook" /etc/xml/catalog</command></userinput></screen>
+    "http://www.oasis-open.org/docbook/" \
+    "file:///etc/xml/docbook" /etc/xml/catalog</command></userinput></screen>
 
 </sect2>
-