Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 5e94b6c34b3aca1a14eb3c2740fc21272a6213ea)
+++ introduction/welcome/changelog.xml	(revision 58b6b9b2b24aba8a519922e7d8dcb607ef732d1f)
@@ -55,4 +55,17 @@
         </listitem>
         <listitem>
+          <para>[dj] - Removed gtksourceview-2.x.</para>
+        </listitem>
+        <listitem>
+          <para>[dj] - Updated to exo-0.10.7. Merged from trunk r16604.</para>
+        </listitem>
+        <listitem>
+          <para>[dj] - Updated to xfdesktop-4.12.3. Merged from trunk
+          r16277.</para>
+        </listitem>
+        <listitem>
+          <para>[dj] - Updated to parole-0.8.1. Merged from trunk r16556.</para>
+        </listitem>
+        <listitem>
           <para>[dj] - Updated to gnumeric-1.12.27. Merged from trunk
           r16919 and r16926.</para>
Index: packages.ent
===================================================================
--- packages.ent	(revision 5e94b6c34b3aca1a14eb3c2740fc21272a6213ea)
+++ packages.ent	(revision 58b6b9b2b24aba8a519922e7d8dcb607ef732d1f)
@@ -582,5 +582,5 @@
 <!ENTITY xfconf-version               "4.12.0">
 <!ENTITY libxfce4ui-version           "4.12.1">
-<!ENTITY exo-version                  "0.10.6">
+<!ENTITY exo-version                  "0.10.7">
 <!ENTITY garcon-version               "0.5.0">
 <!ENTITY gtk-xfce-engine-version      "3.2.0">
@@ -595,5 +595,5 @@
 <!ENTITY xfce4-power-manager-version  "1.4.4">
 <!ENTITY xfce4-settings-version       "4.12.0">
-<!ENTITY xfdesktop-version            "4.12.2">
+<!ENTITY xfdesktop-version            "4.12.3">
 <!ENTITY xfwm4-version                "4.12.3">
 <!ENTITY xfce4-session-version        "4.12.1">
@@ -601,6 +601,6 @@
 <!-- Chapter 33 -->
 <!ENTITY midori-version               "0.5.11">
-<!ENTITY parole-version               "0.8.0">
-<!ENTITY gtksourceview2-version       "2.10.5">
+<!ENTITY parole-version               "0.8.1">
+<!--<!ENTITY gtksourceview2-version       "2.10.5">-->
 <!ENTITY mousepad-version             "0.4.0">
 <!ENTITY vte2-version                 "0.28.2">
Index: xfce/apps/apps.xml
===================================================================
--- xfce/apps/apps.xml	(revision 5e94b6c34b3aca1a14eb3c2740fc21272a6213ea)
+++ xfce/apps/apps.xml	(revision 58b6b9b2b24aba8a519922e7d8dcb607ef732d1f)
@@ -23,5 +23,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="midori.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="parole.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="gtksourceview2.xml"/>
+<!--  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="gtksourceview2.xml"/> -->
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="mousepad.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="vte2.xml"/>
Index: xfce/apps/midori.xml
===================================================================
--- xfce/apps/midori.xml	(revision 5e94b6c34b3aca1a14eb3c2740fc21272a6213ea)
+++ xfce/apps/midori.xml	(revision 58b6b9b2b24aba8a519922e7d8dcb607ef732d1f)
@@ -10,5 +10,5 @@
   <!ENTITY midori-md5sum        "fcc03ef759fce4fe9f2446d9da4a065e">
   <!ENTITY midori-size          "1.4 MB">
-  <!ENTITY midori-buildsize     "79 MB">
+  <!ENTITY midori-buildsize     "91 MB">
   <!ENTITY midori-time          "0.8 SBU">
 ]>
@@ -36,7 +36,8 @@
     </para>
 
-    &lfs77_checked;
+    &lfs78_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
+
     <itemizedlist spacing="compact">
       <listitem>
@@ -79,5 +80,5 @@
       <xref linkend="gcr"/>,
       <xref linkend="libnotify"/>,
-      <xref linkend="webkitgtk2"/> (Compiled against either GTK+ 2 or GTK+ 3 - see "Command Explanations"), and
+      <xref linkend="webkitgtk2"/> (see "Command Explanations"), and
       <xref linkend="vala"/>
     </para>
@@ -90,5 +91,6 @@
     <bridgehead renderas="sect4">Optional</bridgehead>
     <para role="optional">
-      <xref linkend="gtk-doc"/> and
+      <xref linkend="gtk-doc"/>,
+      <xref linkend="libunique"/> (if built with gtk+2) and
       <xref linkend="libzeitgeist"/>
     </para>
@@ -101,4 +103,13 @@
   <sect2 role="installation">
     <title>Installation of Midori</title>
+<!--
+    <note>
+      <para>
+        The tarball was not created from a directory, thus it is better to create a directory to uncompress it:
+      </para>
+<screen><userinput>mkdir -v midori-&midori-version; &amp;&amp;
+tar -xf midori_&midori-version;_all_.tar.bz2 -C midori-&midori-version; &amp;&amp;
+cd midori-&midori-version;</userinput></screen>
+    </note>-->
 
     <para>
@@ -113,4 +124,5 @@
       -DCMAKE_BUILD_TYPE=Release  \
       -DUSE_ZEITGEIST=OFF         \
+      -DUSE_GTK3=1                \
       -DCMAKE_INSTALL_DOCDIR=/usr/share/doc/midori-&midori-version; \
       ..  &amp;&amp;
@@ -118,5 +130,5 @@
 
     <para>
-      This package does not have a working testsuite.
+      This package does not come with a working test suite.
     </para>
 
@@ -135,15 +147,13 @@
 
     <para>
-      <parameter>-DUSE_ZEITGEIST=OFF</parameter>: This switch disables Zeitgeist
-      support. Remove it if you have installed <xref linkend="libzeitgeist"/>. 
-    </para>
-
-    <para>
-      <option>-DUSE_GTK3=1</option>: Use this switch if you want to build
-      <application>Midori</application> using
+      <parameter>-DUSE_ZEITGEIST=OFF</parameter>: Remove this switch if
+      Zeitgeist is installed.
+    </para>
+
+    <para>
+      <parameter>-DUSE_GTK3=1</parameter>: Use this switch chooses
       <application>WebKitGTK+</application> built against
-      <application>GTK+ 3</application>. <command>cmake</command>
-      defaults to the <application>WebKitGTK+</application> built
-      against <application>GTK+ 2</application>.
+      <application>GTK+ 3</application>, for <application>WebKit2</application>
+      layer support.
     </para>
 
@@ -151,5 +161,5 @@
       <option>-DUSE_APIDOCS=1</option>: Use this switch if
       <application>GTK-Doc</application> is installed and you
-      wish to build and install the API documentation. 
+      wish to build and install the API documentation.
     </para>
 
@@ -172,8 +182,6 @@
         </seg>
         <seg>
-          /etc/xdg/midori,
-          /usr/lib/midori,
-          /usr/share/doc/midori-&midori-version; and
-          /usr/share/midori
+          /{etc/xdg,/usr/{lib,share}}/midori and
+          /usr/share/doc/midori-&midori-version;
         </seg>
       </seglistitem>
Index: xfce/apps/mousepad.xml
===================================================================
--- xfce/apps/mousepad.xml	(revision 5e94b6c34b3aca1a14eb3c2740fc21272a6213ea)
+++ xfce/apps/mousepad.xml	(revision 58b6b9b2b24aba8a519922e7d8dcb607ef732d1f)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs77_checked;
+    &lfs78_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
@@ -77,6 +77,6 @@
     <bridgehead renderas="sect4">Required</bridgehead>
     <para role="required">
-      <xref linkend="gtksourceview2"/> or
-      <xref linkend="gtksourceview"/>
+      <xref linkend="gtksourceview"/> (optionally, it can be built with
+      <ulink url="http://ftp.gnome.org/pub/gnome/sources/gtksourceview/2.10/">gtksourceview-2</ulink>)
     </para>
 
Index: xfce/apps/parole.xml
===================================================================
--- xfce/apps/parole.xml	(revision 5e94b6c34b3aca1a14eb3c2740fc21272a6213ea)
+++ xfce/apps/parole.xml	(revision 58b6b9b2b24aba8a519922e7d8dcb607ef732d1f)
@@ -8,8 +8,8 @@
            "http://archive.xfce.org/src/apps/parole/0.8/parole-&parole-version;.tar.bz2">
   <!ENTITY parole-download-ftp  " ">
-  <!ENTITY parole-md5sum        "fffdc23d2aa22271f01410a9e27c3404">
+  <!ENTITY parole-md5sum        "361e3059f1263c76a3711db2c7c1a97b">
   <!ENTITY parole-size          "796 KB">
-  <!ENTITY parole-buildsize     "13.5 MB">
-  <!ENTITY parole-time          "0.1 SBU">
+  <!ENTITY parole-buildsize     "17 MB">
+  <!ENTITY parole-time          "0.2 SBU">
 ]>
 
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs77_checked;
+    &lfs78_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
@@ -77,5 +77,4 @@
     <bridgehead renderas="sect4">Required</bridgehead>
     <para role="required">
-      <xref linkend="gst-plugins-base"/> or
       <xref linkend="gst10-plugins-base"/> and
       <xref linkend="libxfce4ui"/>
@@ -121,6 +120,5 @@
     <para>
       <parameter>--with-gstreamer=1.0</parameter>: Use this switch if
-      you want to use <xref linkend="gst10-plugins-base"/> instead of
-      <xref linkend="gst-plugins-base"/>.
+      the deprecated gstreamer-0.x is installed.
     </para>
 
Index: xfce/apps/ristretto.xml
===================================================================
--- xfce/apps/ristretto.xml	(revision 5e94b6c34b3aca1a14eb3c2740fc21272a6213ea)
+++ xfce/apps/ristretto.xml	(revision 58b6b9b2b24aba8a519922e7d8dcb607ef732d1f)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs77_checked;
+    &lfs78_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: xfce/apps/vte2.xml
===================================================================
--- xfce/apps/vte2.xml	(revision 5e94b6c34b3aca1a14eb3c2740fc21272a6213ea)
+++ xfce/apps/vte2.xml	(revision 58b6b9b2b24aba8a519922e7d8dcb607ef732d1f)
@@ -103,5 +103,5 @@
 <screen><userinput>./configure --prefix=/usr \
             --libexecdir=/usr/lib/vte \
-            --disable-static &amp;&amp;
+            --disable-static  &amp;&amp;
 make</userinput></screen>
 
@@ -122,5 +122,5 @@
 
     <para>
-     <parameter>--libexecdir=/usr/lib/vte</parameter>: Both this package and
+     <parameter>--libexecdir=/usr/lib/vte</parameter>: both this package and
      <xref linkend="vte"/> install files of the same name. This switch ensures
      that they do not overwrite each other if both are installed.
Index: xfce/apps/xfburn.xml
===================================================================
--- xfce/apps/xfburn.xml	(revision 5e94b6c34b3aca1a14eb3c2740fc21272a6213ea)
+++ xfce/apps/xfburn.xml	(revision 58b6b9b2b24aba8a519922e7d8dcb607ef732d1f)
@@ -38,5 +38,5 @@
     </para>
 
-    &lfs77_checked;
+    &lfs78_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: xfce/apps/xfce4-notifyd.xml
===================================================================
--- xfce/apps/xfce4-notifyd.xml	(revision 5e94b6c34b3aca1a14eb3c2740fc21272a6213ea)
+++ xfce/apps/xfce4-notifyd.xml	(revision 58b6b9b2b24aba8a519922e7d8dcb607ef732d1f)
@@ -41,5 +41,5 @@
     </para>
 
-    &lfs77_checked;
+    &lfs78_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: xfce/apps/xfce4-terminal.xml
===================================================================
--- xfce/apps/xfce4-terminal.xml	(revision 5e94b6c34b3aca1a14eb3c2740fc21272a6213ea)
+++ xfce/apps/xfce4-terminal.xml	(revision 58b6b9b2b24aba8a519922e7d8dcb607ef732d1f)
@@ -38,5 +38,5 @@
     </para>
 
-    &lfs77_checked;
+    &lfs78_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: xfce/core/core.xml
===================================================================
--- xfce/core/core.xml	(revision 5e94b6c34b3aca1a14eb3c2740fc21272a6213ea)
+++ xfce/core/core.xml	(revision 58b6b9b2b24aba8a519922e7d8dcb607ef732d1f)
@@ -42,5 +42,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="gtk-xfce-engine.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="libwnck2.xml"/>
-  <!-- <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="libxfcegui4.xml"/> -->
+  <!--<xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="libxfcegui4.xml"/>-->
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="xfce4-panel.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="xfce4-xkb-plugin.xml"/>
Index: xfce/core/exo.xml
===================================================================
--- xfce/core/exo.xml	(revision 5e94b6c34b3aca1a14eb3c2740fc21272a6213ea)
+++ xfce/core/exo.xml	(revision 58b6b9b2b24aba8a519922e7d8dcb607ef732d1f)
@@ -8,8 +8,8 @@
            "http://archive.xfce.org/src/xfce/exo/0.10/exo-&exo-version;.tar.bz2">
   <!ENTITY exo-download-ftp  " ">
-  <!ENTITY exo-md5sum        "895e4f38d2cfe58d69679e2902a335a5">
-  <!ENTITY exo-size          "1.3 MB">
-  <!ENTITY exo-buildsize     "28 MB">
-  <!ENTITY exo-time          "0.2 SBU">
+  <!ENTITY exo-md5sum        "92ca200b8787cdd7494164cbc0ed8200">
+  <!ENTITY exo-size          "1.2 MB">
+  <!ENTITY exo-buildsize     "22 MB (with tests)">
+  <!ENTITY exo-time          "0.2 SBU (with tests)">
 ]>
 
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs77_checked;
+    &lfs78_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
@@ -141,10 +141,6 @@
         <seg>
           /etc/xdg/xfce4,
-          /usr/include/exo-1,
-          /usr/lib/xfce4/exo-1,
-          /usr/share/doc/exo-&exo-version;,
-          /usr/share/gtk-doc/html/exo-1,
-          /usr/share/pixmaps/exo-1 and
-          /usr/share/xfce4
+          /usr/{include,lib/xfce4}/exo-1, and
+          /usr/share/{{gtk-doc/html,pixmaps}/exo-1,xfce4}
         </seg>
       </seglistitem>
Index: xfce/core/garcon.xml
===================================================================
--- xfce/core/garcon.xml	(revision 5e94b6c34b3aca1a14eb3c2740fc21272a6213ea)
+++ xfce/core/garcon.xml	(revision 58b6b9b2b24aba8a519922e7d8dcb607ef732d1f)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs77_checked;
+    &lfs78_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: xfce/core/gtk-xfce-engine.xml
===================================================================
--- xfce/core/gtk-xfce-engine.xml	(revision 5e94b6c34b3aca1a14eb3c2740fc21272a6213ea)
+++ xfce/core/gtk-xfce-engine.xml	(revision 58b6b9b2b24aba8a519922e7d8dcb607ef732d1f)
@@ -39,5 +39,5 @@
     </para>
 
-    &lfs77_checked;
+    &lfs78_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
@@ -128,6 +128,7 @@
         </seg>
         <seg>
-          libxfce.so (in /usr/lib/gtk-&gtk2-libdir;/engines and
-          /usr/lib/gtk-3.0/3.0.0/theming-engines)
+          libxfce.so (in /usr/lib/gtk-&gtk2-libdir;/engines,
+          /usr/lib/gtk-3.0/3.0.0/theming-engines), and
+          /usr/share/themes/Xfce* (21 variations)
         </seg>
         <seg>
Index: xfce/core/libwnck2.xml
===================================================================
--- xfce/core/libwnck2.xml	(revision 5e94b6c34b3aca1a14eb3c2740fc21272a6213ea)
+++ xfce/core/libwnck2.xml	(revision 58b6b9b2b24aba8a519922e7d8dcb607ef732d1f)
@@ -77,5 +77,5 @@
     <bridgehead renderas="sect4">Required</bridgehead>
     <para role="required">
-      <xref linkend="gtk2"/> 
+      <xref linkend="gtk2"/>
     </para>
 
Index: xfce/core/libxfce4ui.xml
===================================================================
--- xfce/core/libxfce4ui.xml	(revision 5e94b6c34b3aca1a14eb3c2740fc21272a6213ea)
+++ xfce/core/libxfce4ui.xml	(revision 58b6b9b2b24aba8a519922e7d8dcb607ef732d1f)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs77_checked;
+    &lfs78_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
@@ -77,6 +77,5 @@
     <bridgehead renderas="sect4">Required</bridgehead>
     <para role="required">
-      <xref linkend="gtk2"/> or
-      <xref linkend="gtk3"/> and
+      <xref linkend="gtk2"/> and
       <xref linkend="xfconf"/>
     </para>
@@ -90,5 +89,6 @@
     <para role="optional">
       <xref linkend="gtk-doc"/>,
-      <xref linkend="perl-html-parser"/> and
+      <xref linkend="gtk3"/>,
+      <xref linkend="perl-html-parser"/>, and
       <ulink url="https://glade.gnome.org/">Glade</ulink>
     </para>
@@ -143,13 +143,11 @@
         </seg>
         <seg>
-          libxfce4kbd-private-2.so, libxfce4kbd-private-3.so,
-          libxfce4ui-1.so and libxfce4ui-2.so
+          libxfce4kbd-private-{2,3}.so and
+          libxfce4ui-{1,2}.so
         </seg>
         <seg>
           /etc/xdg/xfce4,
           /usr/include/xfce4/libxfce4kbd-private-2,
-          /usr/include/xfce4/libxfce4kbd-private-3,
-          /usr/include/xfce4/libxfce4ui-1,
-          /usr/include/xfce4/libxfce4ui-2 and
+          /usr/include/xfce4/libxfce4ui-{1,2}, and
           /usr/share/gtk-doc/html/libxfce4ui
         </seg>
Index: xfce/core/libxfce4util.xml
===================================================================
--- xfce/core/libxfce4util.xml	(revision 5e94b6c34b3aca1a14eb3c2740fc21272a6213ea)
+++ xfce/core/libxfce4util.xml	(revision 58b6b9b2b24aba8a519922e7d8dcb607ef732d1f)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs77_checked;
+    &lfs78_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
@@ -76,5 +76,5 @@
     <bridgehead renderas="sect4">Required</bridgehead>
     <para role="required">
-      <xref linkend="glib2"/> 
+      <xref linkend="glib2"/>
     </para>
 
@@ -97,5 +97,5 @@
     </para>
 
-<screen><userinput>./configure --prefix=/usr --sysconfdir=/etc &amp;&amp;
+<screen><userinput>./configure --prefix=/usr &amp;&amp;
 make</userinput></screen>
 
Index: xfce/core/thunar.xml
===================================================================
--- xfce/core/thunar.xml	(revision 5e94b6c34b3aca1a14eb3c2740fc21272a6213ea)
+++ xfce/core/thunar.xml	(revision 58b6b9b2b24aba8a519922e7d8dcb607ef732d1f)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs77_checked;
+    &lfs78_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
@@ -81,9 +81,14 @@
     </para>
 
+    <bridgehead renderas="sect4">Required (Runtime)</bridgehead>
+    <para role="required runtime">
+      <xref linkend="adwaita-icon-theme"/> or
+      <xref linkend="lxde-icon-theme"/>
+    </para>
+
     <bridgehead renderas="sect4">Recommended</bridgehead>
     <para role="recommended">
       <xref linkend="libgudev"/>,
-      <xref linkend="libnotify"/>,
-      <xref linkend="startup-notification"/> and
+      <xref linkend="libnotify"/> and
       <xref linkend="xfce4-panel"/>
     </para>
@@ -96,10 +101,4 @@
     </para>
 
-    <bridgehead renderas="sect4">Runtime Dependencies</bridgehead>
-    <para role="optional">
-      An icon theme such as <xref linkend="adwaita-icon-theme"/> or
-      <xref linkend="lxde-icon-theme"/>
-    </para>
-
     <para condition="html" role="usernotes">
       User Notes: <ulink url="&blfs-wiki;/thunar"/>
@@ -145,14 +144,13 @@
         </seg>
         <seg>
-          libthunarx-2.so
+          libthunarx-2.so and
+          /usr/lib/xfce4/panel/plugins/libthunar-tpa.so
         </seg>
         <seg>
           /etc/xdg/Thunar,
           /usr/include/thunarx-2,
-          /usr/lib/Thunar,
-          /usr/lib/thunarx-2,
-          /usr/share/doc/Thunar-&thunar-version;,
-          /usr/share/pixmaps/Thunar and
-          /usr/share/Thunar
+          /usr/lib/{Thunar,thunarx-2},
+          /usr/share/doc/Thunar-&thunar-version;, and
+          /usr/share/{pixmaps,}/Thunar
         </seg>
       </seglistitem>
@@ -168,5 +166,5 @@
         <listitem>
           <para>
-            is a symbolic link to <command>thunar</command>.
+            is a symbolic link to <application>thunar</application>.
           </para>
           <indexterm zone="thunar Thunar">
Index: xfce/core/tumbler.xml
===================================================================
--- xfce/core/tumbler.xml	(revision 5e94b6c34b3aca1a14eb3c2740fc21272a6213ea)
+++ xfce/core/tumbler.xml	(revision 58b6b9b2b24aba8a519922e7d8dcb607ef732d1f)
@@ -38,5 +38,5 @@
     </para>
 
-    &lfs77_checked;
+    &lfs78_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
@@ -87,5 +87,5 @@
       <xref linkend="freetype2"/>,
       <xref linkend="gdk-pixbuf"/>,
-      <xref linkend="gst-plugins-base"/>,
+      <xref linkend="gst10-plugins-base"/>,
       <xref linkend="gtk-doc"/>,
       <xref linkend="libjpeg"/>,
@@ -141,8 +141,9 @@
         </seg>
         <seg>
-          /etc/xdg/tumbler,
+          /etc/xdg/tumbler
           /usr/include/tumbler-1,
           /usr/lib/tumbler-1 and
           /usr/share/gtk-doc/html/tumbler
+
         </seg>
       </seglistitem>
Index: xfce/core/xfce4-appfinder.xml
===================================================================
--- xfce/core/xfce4-appfinder.xml	(revision 5e94b6c34b3aca1a14eb3c2740fc21272a6213ea)
+++ xfce/core/xfce4-appfinder.xml	(revision 58b6b9b2b24aba8a519922e7d8dcb607ef732d1f)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs77_checked;
+    &lfs78_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: xfce/core/xfce4-panel.xml
===================================================================
--- xfce/core/xfce4-panel.xml	(revision 5e94b6c34b3aca1a14eb3c2740fc21272a6213ea)
+++ xfce/core/xfce4-panel.xml	(revision 58b6b9b2b24aba8a519922e7d8dcb607ef732d1f)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs77_checked;
+    &lfs78_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: xfce/core/xfce4-power-manager.xml
===================================================================
--- xfce/core/xfce4-power-manager.xml	(revision 5e94b6c34b3aca1a14eb3c2740fc21272a6213ea)
+++ xfce/core/xfce4-power-manager.xml	(revision 58b6b9b2b24aba8a519922e7d8dcb607ef732d1f)
@@ -43,5 +43,5 @@
     </para>
 
-    &lfs77_checked;
+    &lfs78_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
@@ -131,7 +131,7 @@
       <seglistitem>
         <seg>
-          xfce4-pm-helper,
           xfce4-power-manager,
-          xfce4-power-manager-settings and
+          xfce4-power-manager-settings,
+          xfce4-pm-helper, and
           xfpm-power-backlight-helper
         </seg>
@@ -155,5 +155,5 @@
         <listitem>
           <para>
-            is a helper program for the suspend and hibernate functions of 
+            is a helper program for the suspend and hibernate functions of
             <command>xfce4-power-manager</command>.
           </para>
Index: xfce/core/xfce4-session.xml
===================================================================
--- xfce/core/xfce4-session.xml	(revision 5e94b6c34b3aca1a14eb3c2740fc21272a6213ea)
+++ xfce/core/xfce4-session.xml	(revision 58b6b9b2b24aba8a519922e7d8dcb607ef732d1f)
@@ -39,5 +39,5 @@
     </para>
 
-    &lfs77_checked;
+    &lfs78_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
@@ -87,6 +87,12 @@
     <bridgehead renderas="sect4">Recommended</bridgehead>
     <para role="recommended">
-      <xref linkend="desktop-file-utils"/> and
-      <xref linkend="shared-mime-info"/>
+      <xref linkend="desktop-file-utils"/>,
+      <xref linkend="shared-mime-info"/> and
+      <xref linkend="polkit-gnome"/>
+    </para>
+
+    <bridgehead renderas="sect4">Required Runtime</bridgehead>
+    <para role="required runtime">
+      <xref linkend="xfdesktop"/>
     </para>
 
Index: xfce/core/xfce4-settings.xml
===================================================================
--- xfce/core/xfce4-settings.xml	(revision 5e94b6c34b3aca1a14eb3c2740fc21272a6213ea)
+++ xfce/core/xfce4-settings.xml	(revision 58b6b9b2b24aba8a519922e7d8dcb607ef732d1f)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs77_checked;
+    &lfs78_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
@@ -82,4 +82,10 @@
     </para>
 
+    <bridgehead renderas="sect4">Required (Runtime)</bridgehead>
+    <para role="required runtime">
+      <xref linkend="adwaita-icon-theme"/> or
+      <xref linkend="lxde-icon-theme"/>
+    </para>
+
     <bridgehead renderas="sect4">Recommended</bridgehead>
     <para role="recommended">
@@ -87,10 +93,4 @@
       <xref linkend="libnotify"/> and
       <xref linkend="libxklavier"/>
-    </para>
-
-    <bridgehead renderas="sect4">Runtime Dependencies</bridgehead>
-    <para role="optional">
-      An icon theme such as <xref linkend="adwaita-icon-theme"/> or
-      <xref linkend="lxde-icon-theme"/>
     </para>
 
Index: xfce/core/xfce4-xkb-plugin.xml
===================================================================
--- xfce/core/xfce4-xkb-plugin.xml	(revision 5e94b6c34b3aca1a14eb3c2740fc21272a6213ea)
+++ xfce/core/xfce4-xkb-plugin.xml	(revision 58b6b9b2b24aba8a519922e7d8dcb607ef732d1f)
@@ -45,5 +45,5 @@
     </para>
 
-    &lfs77_checked;
+    &lfs78_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
@@ -103,5 +103,11 @@
     </para>
 
-<screen><userinput>./configure --prefix=/usr --disable-debug &amp;&amp;
+<screen><userinput>sed -e 's|xfce4/panel-plugins|xfce4/panel/plugins|' \
+    -i panel-plugin/{Makefile.in,xkb-plugin.desktop.in.in} &amp;&amp;
+
+./configure --prefix=/usr         \
+            --libexecdir=/usr/lib \
+            --disable-debug       &amp;&amp;
+
 make</userinput></screen>
 
@@ -120,4 +126,11 @@
   <sect2 role="commands">
     <title>Command Explanations</title>
+
+    <para>
+      <command>sed -e ... xkb-plugin.desktop.in.in}</command> and
+      <parameter>--libexecdir=/usr/lib</parameter>: The sed and the
+      switch are necessary to place the xkb-plugin in the default
+      Xfce4 panel plugins directory.
+    </para>
 
     <para>
Index: xfce/core/xfconf.xml
===================================================================
--- xfce/core/xfconf.xml	(revision 5e94b6c34b3aca1a14eb3c2740fc21272a6213ea)
+++ xfce/core/xfconf.xml	(revision 58b6b9b2b24aba8a519922e7d8dcb607ef732d1f)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs77_checked;
+    &lfs78_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: xfce/core/xfdesktop.xml
===================================================================
--- xfce/core/xfdesktop.xml	(revision 5e94b6c34b3aca1a14eb3c2740fc21272a6213ea)
+++ xfce/core/xfdesktop.xml	(revision 58b6b9b2b24aba8a519922e7d8dcb607ef732d1f)
@@ -8,5 +8,5 @@
            "http://archive.xfce.org/src/xfce/xfdesktop/&xfce4-version;/xfdesktop-&xfdesktop-version;.tar.bz2">
   <!ENTITY xfdesktop-download-ftp  " ">
-  <!ENTITY xfdesktop-md5sum        "9a29c8e6b8a931fecd29f1ea736a6a70">
+  <!ENTITY xfdesktop-md5sum        "cb34f4f333d7d122f1688d2f155202c8">
   <!ENTITY xfdesktop-size          "1.4 MB">
   <!ENTITY xfdesktop-buildsize     "21 MB">
@@ -39,5 +39,5 @@
     </para>
 
-    &lfs77_checked;
+    &lfs78_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
@@ -104,5 +104,5 @@
     </para>
 
-<screen><userinput>./configure --prefix=/usr --sysconfdir=/etc &amp;&amp;
+<screen><userinput>./configure --prefix=/usr &amp;&amp;
 make</userinput></screen>
 
Index: xfce/core/xfwm4.xml
===================================================================
--- xfce/core/xfwm4.xml	(revision 5e94b6c34b3aca1a14eb3c2740fc21272a6213ea)
+++ xfce/core/xfwm4.xml	(revision 58b6b9b2b24aba8a519922e7d8dcb607ef732d1f)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs77_checked;
+    &lfs78_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
@@ -132,8 +132,6 @@
         </seg>
         <seg>
-          /usr/share/themes/Daloa,
-          /usr/share/themes/Default,
-          /usr/share/themes/Kokodi,
-          /usr/share/themes/Moheli and
+          /usr/lib/xfce4/xfwm4,
+          /usr/share/themes/{Daloa,Default{,-hdpi,-xhdpi},Kokodi,Moheli}, and
           /usr/share/xfwm4
         </seg>