Index: general/genlib/apr-util.xml
===================================================================
--- general/genlib/apr-util.xml	(revision bffb1bec0142f78a30d23614445eaa3b3a8f1129)
+++ general/genlib/apr-util.xml	(revision 59d9079775e1e3dcfd5827406a7cd9eaf434107d)
@@ -38,5 +38,5 @@
     </para>
 
-    &lfs75_checked;
+    &lfs76_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/genlib/apr.xml
===================================================================
--- general/genlib/apr.xml	(revision bffb1bec0142f78a30d23614445eaa3b3a8f1129)
+++ general/genlib/apr.xml	(revision 59d9079775e1e3dcfd5827406a7cd9eaf434107d)
@@ -41,5 +41,5 @@
     </para>
 
-    &lfs75_checked;
+    &lfs76_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/genlib/icu.xml
===================================================================
--- general/genlib/icu.xml	(revision bffb1bec0142f78a30d23614445eaa3b3a8f1129)
+++ general/genlib/icu.xml	(revision 59d9079775e1e3dcfd5827406a7cd9eaf434107d)
@@ -39,5 +39,5 @@
     </para>
 
-    &lfs75_checked;
+    &lfs76_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/genlib/libgcrypt.xml
===================================================================
--- general/genlib/libgcrypt.xml	(revision bffb1bec0142f78a30d23614445eaa3b3a8f1129)
+++ general/genlib/libgcrypt.xml	(revision 59d9079775e1e3dcfd5827406a7cd9eaf434107d)
@@ -39,5 +39,5 @@
     </para>
 
-    &lfs75_checked;
+    &lfs76_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/genlib/libgpg-error.xml
===================================================================
--- general/genlib/libgpg-error.xml	(revision bffb1bec0142f78a30d23614445eaa3b3a8f1129)
+++ general/genlib/libgpg-error.xml	(revision 59d9079775e1e3dcfd5827406a7cd9eaf434107d)
@@ -36,5 +36,5 @@
     .</para>
 
-    &lfs75_checked;
+    &lfs76_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/genlib/libtasn1.xml
===================================================================
--- general/genlib/libtasn1.xml	(revision bffb1bec0142f78a30d23614445eaa3b3a8f1129)
+++ general/genlib/libtasn1.xml	(revision 59d9079775e1e3dcfd5827406a7cd9eaf434107d)
@@ -35,5 +35,5 @@
     </para>
 
-     &lfs75_checked;
+     &lfs76_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/genlib/libxml2.xml
===================================================================
--- general/genlib/libxml2.xml	(revision bffb1bec0142f78a30d23614445eaa3b3a8f1129)
+++ general/genlib/libxml2.xml	(revision 59d9079775e1e3dcfd5827406a7cd9eaf434107d)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs75_checked;
+    &lfs76_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/genlib/libxslt.xml
===================================================================
--- general/genlib/libxslt.xml	(revision bffb1bec0142f78a30d23614445eaa3b3a8f1129)
+++ general/genlib/libxslt.xml	(revision 59d9079775e1e3dcfd5827406a7cd9eaf434107d)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs75_checked;
+    &lfs76_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/genlib/mtdev.xml
===================================================================
--- general/genlib/mtdev.xml	(revision bffb1bec0142f78a30d23614445eaa3b3a8f1129)
+++ general/genlib/mtdev.xml	(revision 59d9079775e1e3dcfd5827406a7cd9eaf434107d)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs75_checked;
+    &lfs76_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/genutils/tidy.xml
===================================================================
--- general/genutils/tidy.xml	(revision bffb1bec0142f78a30d23614445eaa3b3a8f1129)
+++ general/genutils/tidy.xml	(revision 59d9079775e1e3dcfd5827406a7cd9eaf434107d)
@@ -36,5 +36,5 @@
     W3C compliant and compatible with most browsers.</para>
 
-    &lfs75_checked;
+    &lfs76_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/graphlib/fontconfig.xml
===================================================================
--- general/graphlib/fontconfig.xml	(revision bffb1bec0142f78a30d23614445eaa3b3a8f1129)
+++ general/graphlib/fontconfig.xml	(revision 59d9079775e1e3dcfd5827406a7cd9eaf434107d)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs75_checked;
+    &lfs76_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/graphlib/freetype2.xml
===================================================================
--- general/graphlib/freetype2.xml	(revision bffb1bec0142f78a30d23614445eaa3b3a8f1129)
+++ general/graphlib/freetype2.xml	(revision 59d9079775e1e3dcfd5827406a7cd9eaf434107d)
@@ -42,5 +42,5 @@
     </para>
 
-    &lfs75_checked;
+    &lfs76_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/graphlib/harfbuzz.xml
===================================================================
--- general/graphlib/harfbuzz.xml	(revision bffb1bec0142f78a30d23614445eaa3b3a8f1129)
+++ general/graphlib/harfbuzz.xml	(revision 59d9079775e1e3dcfd5827406a7cd9eaf434107d)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs75_checked;
+    &lfs76_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/graphlib/libpng.xml
===================================================================
--- general/graphlib/libpng.xml	(revision bffb1bec0142f78a30d23614445eaa3b3a8f1129)
+++ general/graphlib/libpng.xml	(revision 59d9079775e1e3dcfd5827406a7cd9eaf434107d)
@@ -43,5 +43,5 @@
     </para>
 
-    &lfs75_checked;
+    &lfs76_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/graphlib/pixman.xml
===================================================================
--- general/graphlib/pixman.xml	(revision bffb1bec0142f78a30d23614445eaa3b3a8f1129)
+++ general/graphlib/pixman.xml	(revision 59d9079775e1e3dcfd5827406a7cd9eaf434107d)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs75_checked;
+    &lfs76_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/prog/elfutils.xml
===================================================================
--- general/prog/elfutils.xml	(revision bffb1bec0142f78a30d23614445eaa3b3a8f1129)
+++ general/prog/elfutils.xml	(revision 59d9079775e1e3dcfd5827406a7cd9eaf434107d)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs75_checked;
+    &lfs76_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/prog/llvm.xml
===================================================================
--- general/prog/llvm.xml	(revision bffb1bec0142f78a30d23614445eaa3b3a8f1129)
+++ general/prog/llvm.xml	(revision 59d9079775e1e3dcfd5827406a7cd9eaf434107d)
@@ -56,5 +56,5 @@
     </para>
 
-    &lfs75_checked;
+    &lfs76_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/prog/scons.xml
===================================================================
--- general/prog/scons.xml	(revision bffb1bec0142f78a30d23614445eaa3b3a8f1129)
+++ general/prog/scons.xml	(revision 59d9079775e1e3dcfd5827406a7cd9eaf434107d)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs75_checked;
+    &lfs77_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/prog/subversion.xml
===================================================================
--- general/prog/subversion.xml	(revision bffb1bec0142f78a30d23614445eaa3b3a8f1129)
+++ general/prog/subversion.xml	(revision 59d9079775e1e3dcfd5827406a7cd9eaf434107d)
@@ -44,5 +44,5 @@
     </para>
 
-    &lfs75_checked;
+    &lfs76_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: networking/netlibs/serf.xml
===================================================================
--- networking/netlibs/serf.xml	(revision bffb1bec0142f78a30d23614445eaa3b3a8f1129)
+++ networking/netlibs/serf.xml	(revision 59d9079775e1e3dcfd5827406a7cd9eaf434107d)
@@ -41,5 +41,5 @@
     </para>
 
-    &lfs75_checked;
+    &lfs76_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: networking/textweb/lynx.xml
===================================================================
--- networking/textweb/lynx.xml	(revision bffb1bec0142f78a30d23614445eaa3b3a8f1129)
+++ networking/textweb/lynx.xml	(revision 59d9079775e1e3dcfd5827406a7cd9eaf434107d)
@@ -34,5 +34,5 @@
     <para><application>Lynx</application> is a text based web browser.</para>
 
-    &lfs75_checked;
+    &lfs76_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: postlfs/filesystems/lvm2.xml
===================================================================
--- postlfs/filesystems/lvm2.xml	(revision bffb1bec0142f78a30d23614445eaa3b3a8f1129)
+++ postlfs/filesystems/lvm2.xml	(revision 59d9079775e1e3dcfd5827406a7cd9eaf434107d)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs75_checked;
+    &lfs76_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: postlfs/security/cracklib.xml
===================================================================
--- postlfs/security/cracklib.xml	(revision bffb1bec0142f78a30d23614445eaa3b3a8f1129)
+++ postlfs/security/cracklib.xml	(revision 59d9079775e1e3dcfd5827406a7cd9eaf434107d)
@@ -39,5 +39,5 @@
     passwords to words in chosen word lists.</para>
 
-    &lfs75_checked;
+    &lfs76_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: postlfs/security/gnutls.xml
===================================================================
--- postlfs/security/gnutls.xml	(revision bffb1bec0142f78a30d23614445eaa3b3a8f1129)
+++ postlfs/security/gnutls.xml	(revision 59d9079775e1e3dcfd5827406a7cd9eaf434107d)
@@ -54,5 +54,5 @@
     </para>
 
-    &lfs75_checked;
+    &lfs76_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: postlfs/security/libcap.xml
===================================================================
--- postlfs/security/libcap.xml	(revision bffb1bec0142f78a30d23614445eaa3b3a8f1129)
+++ postlfs/security/libcap.xml	(revision 59d9079775e1e3dcfd5827406a7cd9eaf434107d)
@@ -33,5 +33,5 @@
     LFS, but if PAM support is desired, it needs to be reinstalled after 
     PAM is built.</para>
-    &lfs75_checked;
+    &lfs76_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: postlfs/security/linux-pam.xml
===================================================================
--- postlfs/security/linux-pam.xml	(revision bffb1bec0142f78a30d23614445eaa3b3a8f1129)
+++ postlfs/security/linux-pam.xml	(revision 59d9079775e1e3dcfd5827406a7cd9eaf434107d)
@@ -42,5 +42,5 @@
     </para>
 
-    &lfs75_checked;
+    &lfs76_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: postlfs/security/nettle.xml
===================================================================
--- postlfs/security/nettle.xml	(revision bffb1bec0142f78a30d23614445eaa3b3a8f1129)
+++ postlfs/security/nettle.xml	(revision 59d9079775e1e3dcfd5827406a7cd9eaf434107d)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs75_checked;
+    &lfs76_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: postlfs/security/shadow.xml
===================================================================
--- postlfs/security/shadow.xml	(revision bffb1bec0142f78a30d23614445eaa3b3a8f1129)
+++ postlfs/security/shadow.xml	(revision 59d9079775e1e3dcfd5827406a7cd9eaf434107d)
@@ -42,5 +42,5 @@
     </para>
 
-    &lfs75_checked;
+    &lfs76_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: pst/xml/docbook-xsl.xml
===================================================================
--- pst/xml/docbook-xsl.xml	(revision bffb1bec0142f78a30d23614445eaa3b3a8f1129)
+++ pst/xml/docbook-xsl.xml	(revision 59d9079775e1e3dcfd5827406a7cd9eaf434107d)
@@ -40,5 +40,5 @@
     performing transformations on XML DocBook files.</para>
 
-    &lfs75_checked;
+    &lfs76_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: pst/xml/docbook.xml
===================================================================
--- pst/xml/docbook.xml	(revision bffb1bec0142f78a30d23614445eaa3b3a8f1129)
+++ pst/xml/docbook.xml	(revision 59d9079775e1e3dcfd5827406a7cd9eaf434107d)
@@ -36,5 +36,5 @@
     transformations already written for that standard.</para>
 
-    &lfs75_checked;
+    &lfs76_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: server/databases/sqlite.xml
===================================================================
--- server/databases/sqlite.xml	(revision bffb1bec0142f78a30d23614445eaa3b3a8f1129)
+++ server/databases/sqlite.xml	(revision 59d9079775e1e3dcfd5827406a7cd9eaf434107d)
@@ -45,5 +45,5 @@
     </para>
 
-    &lfs75_checked;
+    &lfs76_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/installing/libXau.xml
===================================================================
--- x/installing/libXau.xml	(revision bffb1bec0142f78a30d23614445eaa3b3a8f1129)
+++ x/installing/libXau.xml	(revision 59d9079775e1e3dcfd5827406a7cd9eaf434107d)
@@ -34,5 +34,5 @@
     restricting client access to the display.</para>
 
-    &lfs75_checked;
+    &lfs76_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/installing/libXdmcp.xml
===================================================================
--- x/installing/libXdmcp.xml	(revision bffb1bec0142f78a30d23614445eaa3b3a8f1129)
+++ x/installing/libXdmcp.xml	(revision 59d9079775e1e3dcfd5827406a7cd9eaf434107d)
@@ -34,5 +34,5 @@
     allowing clients to interact with the X Display Manager.</para>
 
-    &lfs75_checked;
+    &lfs76_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/installing/libevdev.xml
===================================================================
--- x/installing/libevdev.xml	(revision bffb1bec0142f78a30d23614445eaa3b3a8f1129)
+++ x/installing/libevdev.xml	(revision 59d9079775e1e3dcfd5827406a7cd9eaf434107d)
@@ -32,5 +32,5 @@
       </para>
 
-      &lfs75_checked;
+      &lfs76_checked;
 
       <bridgehead renderas="sect4">Package Information</bridgehead>
Index: x/installing/libxcb.xml
===================================================================
--- x/installing/libxcb.xml	(revision bffb1bec0142f78a30d23614445eaa3b3a8f1129)
+++ x/installing/libxcb.xml	(revision 59d9079775e1e3dcfd5827406a7cd9eaf434107d)
@@ -37,5 +37,5 @@
     requests and receive responses with both.</para>
 
-    &lfs75_checked;
+    &lfs76_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/installing/mesalib.xml
===================================================================
--- x/installing/mesalib.xml	(revision bffb1bec0142f78a30d23614445eaa3b3a8f1129)
+++ x/installing/mesalib.xml	(revision 59d9079775e1e3dcfd5827406a7cd9eaf434107d)
@@ -39,5 +39,5 @@
     </para>
 
-    &lfs75_checked;
+    &lfs76_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/installing/twm.xml
===================================================================
--- x/installing/twm.xml	(revision bffb1bec0142f78a30d23614445eaa3b3a8f1129)
+++ x/installing/twm.xml	(revision 59d9079775e1e3dcfd5827406a7cd9eaf434107d)
@@ -35,5 +35,5 @@
     &not-katamari;
 
-    &lfs75_checked;
+    &lfs76_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/installing/util-macros.xml
===================================================================
--- x/installing/util-macros.xml	(revision bffb1bec0142f78a30d23614445eaa3b3a8f1129)
+++ x/installing/util-macros.xml	(revision 59d9079775e1e3dcfd5827406a7cd9eaf434107d)
@@ -34,5 +34,5 @@
     <application>Xorg</application> packages.</para>
 
-    &lfs75_checked;
+    &lfs76_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/installing/x7driver-evdev.xml
===================================================================
--- x/installing/x7driver-evdev.xml	(revision bffb1bec0142f78a30d23614445eaa3b3a8f1129)
+++ x/installing/x7driver-evdev.xml	(revision 59d9079775e1e3dcfd5827406a7cd9eaf434107d)
@@ -34,5 +34,5 @@
       </para>
 
-      &lfs75_checked;
+      &lfs76_checked;
 
       <bridgehead renderas="sect4">Package Information</bridgehead>
Index: x/installing/x7font.xml
===================================================================
--- x/installing/x7font.xml	(revision bffb1bec0142f78a30d23614445eaa3b3a8f1129)
+++ x/installing/x7font.xml	(revision 59d9079775e1e3dcfd5827406a7cd9eaf434107d)
@@ -144,5 +144,5 @@
     needed fonts to the <application>Xorg</application> applications.</para>
 
-    &lfs75_checked;
+    &lfs76_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/installing/x7lib.xml
===================================================================
--- x/installing/x7lib.xml	(revision bffb1bec0142f78a30d23614445eaa3b3a8f1129)
+++ x/installing/x7lib.xml	(revision 59d9079775e1e3dcfd5827406a7cd9eaf434107d)
@@ -128,5 +128,5 @@
     routines that are used within all X Window applications.</para>
 
-    &lfs75_checked;
+    &lfs76_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/installing/x7proto.xml
===================================================================
--- x/installing/x7proto.xml	(revision bffb1bec0142f78a30d23614445eaa3b3a8f1129)
+++ x/installing/x7proto.xml	(revision 59d9079775e1e3dcfd5827406a7cd9eaf434107d)
@@ -112,5 +112,5 @@
     applications to build against the installed X Window system.</para>
 
-    &lfs75_checked;
+    &lfs76_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/installing/xbitmaps.xml
===================================================================
--- x/installing/xbitmaps.xml	(revision bffb1bec0142f78a30d23614445eaa3b3a8f1129)
+++ x/installing/xbitmaps.xml	(revision 59d9079775e1e3dcfd5827406a7cd9eaf434107d)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs75_checked;
+    &lfs76_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/installing/xcb-proto.xml
===================================================================
--- x/installing/xcb-proto.xml	(revision bffb1bec0142f78a30d23614445eaa3b3a8f1129)
+++ x/installing/xcb-proto.xml	(revision 59d9079775e1e3dcfd5827406a7cd9eaf434107d)
@@ -34,5 +34,5 @@
     uses to generate the majority of its code and API.</para>
 
-    &lfs75_checked;
+    &lfs76_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/installing/xcb-util-image.xml
===================================================================
--- x/installing/xcb-util-image.xml	(revision bffb1bec0142f78a30d23614445eaa3b3a8f1129)
+++ x/installing/xcb-util-image.xml	(revision 59d9079775e1e3dcfd5827406a7cd9eaf434107d)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs75_checked;
+    &lfs76_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/installing/xcb-util.xml
===================================================================
--- x/installing/xcb-util.xml	(revision bffb1bec0142f78a30d23614445eaa3b3a8f1129)
+++ x/installing/xcb-util.xml	(revision 59d9079775e1e3dcfd5827406a7cd9eaf434107d)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs75_checked;
+    &lfs76_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/installing/xclock.xml
===================================================================
--- x/installing/xclock.xml	(revision bffb1bec0142f78a30d23614445eaa3b3a8f1129)
+++ x/installing/xclock.xml	(revision 59d9079775e1e3dcfd5827406a7cd9eaf434107d)
@@ -35,5 +35,5 @@
     &not-katamari;
 
-    &lfs75_checked;
+    &lfs76_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/installing/xcursor-themes.xml
===================================================================
--- x/installing/xcursor-themes.xml	(revision bffb1bec0142f78a30d23614445eaa3b3a8f1129)
+++ x/installing/xcursor-themes.xml	(revision 59d9079775e1e3dcfd5827406a7cd9eaf434107d)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs75_checked;
+    &lfs76_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/installing/xinit.xml
===================================================================
--- x/installing/xinit.xml	(revision bffb1bec0142f78a30d23614445eaa3b3a8f1129)
+++ x/installing/xinit.xml	(revision 59d9079775e1e3dcfd5827406a7cd9eaf434107d)
@@ -35,5 +35,5 @@
     &not-katamari;
 
-    &lfs75_checked;
+    &lfs76_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/installing/xkeyboard-config.xml
===================================================================
--- x/installing/xkeyboard-config.xml	(revision bffb1bec0142f78a30d23614445eaa3b3a8f1129)
+++ x/installing/xkeyboard-config.xml	(revision 59d9079775e1e3dcfd5827406a7cd9eaf434107d)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs75_checked;
+    &lfs76_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/installing/xorg-server.xml
===================================================================
--- x/installing/xorg-server.xml	(revision bffb1bec0142f78a30d23614445eaa3b3a8f1129)
+++ x/installing/xorg-server.xml	(revision 59d9079775e1e3dcfd5827406a7cd9eaf434107d)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs75_checked;
+    &lfs76_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/installing/xterm.xml
===================================================================
--- x/installing/xterm.xml	(revision bffb1bec0142f78a30d23614445eaa3b3a8f1129)
+++ x/installing/xterm.xml	(revision 59d9079775e1e3dcfd5827406a7cd9eaf434107d)
@@ -35,5 +35,5 @@
     &not-katamari;
 
-    &lfs75_checked;
+    &lfs76_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>